<?php
/**
 * -----------------------------------------------------------------------------
 * Theme Information
 * -----------------------------------------------------------------------------
 *
 * This theme is a Genesis child theme created for ${Client Name} by BrewPixel called ${Theme Name}.
 *
 * Theme Name:     ${Theme Name}
 * Theme URI:      http://brewpixel.com/wordpress/theme/${theme-name-lowercase-hyphen-no-spaces}
 * Description:    ${Client Name} bespoke theme. Child theme for the Genesis theme framework
 * Author:         BrewPixel
 * Author URI:     http://brewpixel.com
 * Version:        ${child-theme-version-number:-0.1.0}
 * Template:       genesis
 * Template Version: ${genesis-version-number}
 *
 * Variables:
 * Theme name: ${Theme Name}
 * Theme name with underscores instead of spaces: ${Theme_Name}
 * Theme version: ${child-theme-version-number:-0.1.0}
 * Client name: ${Client Name}
 * Custom Post Type Single Name 1: ${Custom Post Type Single Name 1}
 * Custom Post Type Single Lowercase Underscore Name 1: custom_post_type_1_lowercase_underscore_no_spaces
 * Custom Page 1: ${Pagename1}
 * Theme prefix underscore: ${theme_prefix_lowercase_underscore_no_spaces}
 * Theme prefix hyphen: theme-prefix-lowercase-hyphen-no-spaces
 * Genesis Version: ${genesis-version-number}
 * Text domain or URL friendly theme name: ${theme-name-lowercase-hyphen-no-spaces}
 * Domain name: ${domain_name}
 * Minimum WordPress version required: ${minimum_wordpress_version}
 *
 * -----------------------------------------------------------------------------
 * File Information
 * -----------------------------------------------------------------------------
 *
 * Sets up the theme and provides some helper functions, which are used in the
 * theme as custom template tags. Others are attached to action and filter
 * hooks in WordPress to change core functionality.
 *
 * When using a child theme you can override certain functions (those wrapped
 * in a function_exists() call) by defining them first in your child theme's
 * functions.php file. The child theme's functions.php file is included before
 * the parent theme's file, so the child theme functions would be used.
 *
 * @link http://codex.wordpress.org/Theme_Development
 * @link http://codex.wordpress.org/Child_Themes
 *
 * Functions that are not pluggable (not wrapped in function_exists()) are
 * instead attached to a filter or action hook.
 *
 * For more information on hooks, actions, and filters,
 * @link http://codex.wordpress.org/Plugin_API
 *
 * @package ${Theme_Name}
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 */

/*
 * *****************************************************************************
 * ************************* TABLE OF CONTENTS *********************************
 * *****************************************************************************
 */

/*
 * #   GENESIS SPECIFIC CODE
 * ##      INCLUDE AND DEFINE include_once(), define()
 * ##      THEME SUPPORT add_theme_support()
 * ##      PLUGGABLE FUNCTIONS
 * ##      HOOKS ACTIONS
 * ###         INTERNAL ACTION HOOKS
 * ####            PRE genesis_pre
 * ####            PRE FRAMEWORK genesis_pre_framework
 * ###         DOCUMENT HEAD ACTION HOOKS
 * ####            TITLE genesis_title
 * ####            META genesis_meta
 * ###         STRUCTURAL ACTION HOOKS
 * ####            TOP
 * ####            NAV
 * ####            MAIN BEFORE
 * ####            INSIDE BEFORE
 * ####            INSIDE AFTER
 * ####            BEFORE genesis_before
 * ####            AFTER genesis_after
 * ####            HEADER BEFORE genesis_before_header
 * ####            HEADER genesis_header
 * ####            HEADER AFTER genesis_after_header
 * ####            SITE TITLE genesis_site_title
 * ####            SITE DESCRIPTION genesis_site_description
 * ####            CONTENT SIDEBAR WRAP BEFORE genesis_before_content_sidebar_wrap
 * ####            CONTENT SIDEBAR WRAP AFTER genesis_after_content_sidebar_wrap
 * ####            CONTENT BEFORE genesis_before_content
 * ####            CONTENT AFTER genesis_after_content
 * ####            SIDEBAR
 * #####               SIDEBAR genesis_sidebar
 * #####               WIDGET AREA BEFORE genesis_before_sidebar_widget_area
 * #####               WIDGET AREA AFTER genesis_after_sidebar_widget_area
 * #####               ALT genesis_sidebar_alt
 * #####               ALT WIDGET AREA BEFORE genesis_before_sidebar_alt_widget_area
 * #####               ALT WIDGET AREA AFTER genesis_after_sidebar_alt_widget_area
 * ####            FOOTER BEFORE genesis_before_footer
 * ####            FOOTER genesis_footer
 * ####            FOOTER AFTER genesis_after_footer
 * ###         LOOP ACTION HOOKS
 * ####            LOOP BEFORE genesis_before_loop
 * ####            LOOP genesis_loop
 * ####            LOOP AFTER genesis_after_loop
 * ####            ENDWHILE AFTER genesis_after_endwhile
 * ####            LOOP ELSE genesis_loop_else
 * ####            ENTRY BEFORE genesis_before_entry (HTML5)
 * ####            ENTRY AFTER genesis_after_entry (HTML5)
 * ####            ENTRY HEADER genesis_entry_header (HTML5)
 * ####            ENTRY CONTENT BEFORE genesis_before_entry_content (HTML5)
 * ####            ENTRY CONTENT genesis_entry_content (HTML5)
 * ####            ENTRY CONTENT AFTER genesis_after_entry_content (HTML5)
 * ####            ENTRY FOOTER genesis_entry_footer
 * ###         COMMENT ACTION HOOKS
 * ####            COMMENTS BEFORE genesis_before_comments
 * ####            COMMENTS genesis_comments
 * ####            COMMENTS AFTER genesis_after_comments
 * ####            COMMENTS LIST genesis_list_comments
 * ####            PINGS BEFORE genesis_before_pings
 * ####            PINGS genesis_pings
 * ####            PINGS AFTER genesis_after_pings
 * ####            PINGS LIST genesis_list_pings
 * ####            SINGLE COMMENT BEFORE genesis_before_comment
 * ####            SINGLE COMMENT AFTER genesis_after_comment
 * ####            COMMENT FORM BEFORE genesis_before_comment_form
 * ####            COMMENT FORM genesis_comment_form
 * ####            COMMENT FORM AFTER genesis_after_comment_form
 * ##      HOOKS FILTERS
 * ###         COMMENTS SECTION FILTERS
 * ####            TITLE COMMENTS genesis_title_comments Default value: __(‘<h3>Comments</h3>’, ‘genesis’)
 * ####            NO COMMENTS TEXT genesis_no_comments_text Default value: (empty)
 * ####            COMMENTS CLOSED TEXT genesis_comments_closed_text Default value: (empty)
 * ####            TITLE PINGS genesis_title_pings Default value: __(‘<h3>Trackbacks</h3>’, ‘genesis’)
 * ####            NO PINGS TEXT genesis_no_pings_text Default value: (empty)
 * ####            COMMENT LIST ARGS genesis_comment_list_args
 * ####            PING LIST ARGS genesis_ping_list_args Default value: $args
 * ####            COMMENT AUTHOR SAYS TEXT comment_author_says_text Default value: __(‘says’, ‘genesis’)
 * ####            COMMENT FORM ARGS genesis_comment_form_args Default value: $args, $user_identity, $id, $commenter, $req, $aria_req
 * ###         FOOTER SECTION FILTERS
 * ####            BACKTOTOP TEXT genesis_footer_backtotop_text
 * ####            CREDS TEXT genesis_footer_creds_text
 * ####            OUTPUT genesis_footer_output
 * ####            FOOTER SCRIPTS genesis_footer_scripts Default value: genesis_option(‘footer_scripts’)
 * ###         HEADER SECTION FILTERS
 * ####            SEO TITLE genesis_seo_title Default value: $title, $inside, $wrap
 * ####            SEO DESCRIPTION genesis_seo_description Default value: $description, $inside, $wrap
 * ####            PRELOAD FAVICON genesis_pre_load_favicon
 * ####            HEADER SCRIPTS genesis_header_scripts Default value: genesis_get_option(‘header_scripts’)
 * ###         LOOP FILTERS
 * ####            genesis_custom_loop_args Default value: wp_parse_args($args, $defaults), $args, $defaults
 * ####            genesis_post_title_text Default value: get_the_title()
 * ####            genesis_post_title_output Default value: $title
 * ####            genesis_noposts_text Default value: __(‘Sorry, no posts matched your criteria.’, ‘genesis’)
 * ####            POST INFO genesis_post_info
 * ####            POST META genesis_post_meta
 * ####            AUTHOR BOX GRAVATAR SIZE genesis_author_box_gravatar_size
 * ####            AUTHOR BOX TITLE genesis_author_box_title Default value: sprintf( ‘<strong>%s %s</strong>’, __(‘About’, ‘genesis’), get_the_author() )
 * ###         SEARCH FORM FILTERS
 * ####            the_search_query Default value: get_search_query()
 * ####            genesis_search_text Default value: esc_attr__(‘Search this website…’, ‘genesis’)
 * ####            genesis_search_button_text Default value: esc_attr__( ‘Search’, ‘genesis’ )
 * ####            genesis_search_form Default value: $form, $search_text, $button_text
 * ###         SEARCH TITLE FILTER genesis_search_title_output
 * ###         MISC. FILTERS
 * ####            BREADCRUMBS
 * #####               BREADCRUMB ARGS genesis_breadcrumb_args
 * #####               genesis_breadcrumb_homelink Default value: $homelink
 * #####               genesis_breadcrumb_bloglink Default value: $bloglink
 * #####               SINGLE CRUMB genesis_single_crumb
 * #####               ARCHIVE CRUMB genesis_archive_crumb
 * #####               genesis_gravatar_sizes Default value: $sizes
 * ###         IMAGE FILTERS
 * ####            genesis_get_image_default_args Default value: $defaults
 * ####            genesis_pre_get_image Default value: false, $args, $post
 * ####            genesis_get_image Default value: $output, $args, $id, $html, $url, $src
 * ###         MENU FILTERS
 * ####            genesis_nav_default_args Default value: $defaults
 * ####            genesis_pre_nav Default value: false, $args
 * ####            genesis_nav_home_text Default value: __(‘Home’, ‘genesis’), $args
 * ####            NAV ITEMS genesis_nav_items
 * ####            genesis_nav Default value: $menu, $args
 * ###         SHORTCODE FILTERS
 * ####            FOOTER SHORTCODE FILTERS
 * #####               genesis_footer_backtotop_shortcode Default value: $output, $atts
 * #####               genesis_footer_copyright_shortcode Default value: $output, $atts
 * #####               genesis_footer_childtheme_link_shortcode Default value: $output, $atts
 * #####               genesis_footer_genesis_link_shortcode Default value: $output, $atts
 * #####               genesis_footer_studiopress_link_shortcode Default value: $output, $atts
 * #####               genesis_footer_wordpress_link_shortcode Default value: $output, $atts
 * #####               genesis_footer_loginout_shortcode Default value: $output, $atts
 * ####            POST SHORTCODE FILTERS
 * #####               genesis_post_date_shortcode Default value: $output, $atts
 * #####               genesis_post_time_shortcode Default value: $output, $atts
 * #####               genesis_post_author_link_shortcode Default value: $output, $atts
 * #####               genesis_post_author_shortcode Default value: $output, $atts
 * #####               genesis_post_comments_shortcode Default value: $output, $atts
 * #####               genesis_post_tags_shortcode Default value: $output, $atts
 * #####               genesis_post_categories_shortcode Default value: $output, $atts
 * #####               genesis_post_edit_shortcode Default value: $output, $atts
 * ###         INIT FILTERS
 * ####            genesis_settings_field Default value: genesis-settings
 * ####            genesis_seo_settings_field Default value: genesis-seo-settings
 * ####            genesis_formatting_allowedtags
 * ###         OPTION FILTERS
 * ####            genesis_pre_get_option_ Default value: $key, false, $setting
 * ####            genesis_options Default value: $settings_cache[$setting], $setting
 * ####            genesis_get_option function Default value: get_option($setting), $setting
 * ###         SETTINGS
 * ####            SEO SETTINGS FILTER genesis_seo_settings_defaults Default value: $defaults
 * ####            THEME SETTINGS FILTER
 * #####               THEME SETTINGS DEFAULTS FILTER genesis_theme_settings_defaults
 * ###         MARKUP FILTERS
 * ####            CONTEXT ATTRIBUTE FILTERS
 * #####               ATTR HEAD genesis_attr_head
 * #####               ATTR BODY genesis_attr_body
 * #####               ATTR SITE HEADER genesis_attr_site-header
 * #####               genesis_attr_site-title
 * #####               genesis_attr_site-description
 * #####               genesis_attr_header-widget-area
 * #####               genesis_attr_breadcrumb
 * #####               genesis_attr_breadcrumb-link-wrap
 * #####               genesis_attr_search-form
 * #####               genesis_attr_nav-primary
 * #####               genesis_attr_nav-secondary
 * #####               genesis_attr_nav-header
 * #####               genesis_attr_nav-link-wrap
 * #####               genesis_attr_nav-link
 * #####               ATTR NAV FOOTER genesis_attr_nav-footer
 * #####               ATTR STRUCTURAL WRAP genesis_attr_structural-wrap
 * #####               genesis_attr_content
 * #####               ATTR ARCHIVE TITLE genesis_attr_archive-title
 * #####               genesis_attr_taxonomy-archive-description
 * #####               genesis_attr_author-archive-description
 * #####               genesis_attr_cpt-archive-description
 * #####               genesis_attr_date-archive-description
 * #####               genesis_attr_blog-template-description
 * #####               genesis_attr_posts-page-description
 * #####               genesis_attr_entry
 * #####               genesis_attr_entry-header
 * #####               genesis_attr_entry-image
 * #####               genesis_attr_entry-image-widget
 * #####               genesis_attr_entry-image-grid-loop
 * #####               genesis_attr_entry-author
 * #####               genesis_attr_entry-author-link
 * #####               genesis_attr_entry-author-name
 * #####               genesis_attr_entry-time
 * #####               genesis_attr_entry-modified-time
 * #####               genesis_attr_entry-title
 * #####               genesis_attr_entry-content
 * #####               genesis_attr_entry-meta-before-content
 * #####               genesis_attr_entry-meta-after-content
 * #####               genesis_attr_archive-pagination
 * #####               genesis_attr_entry-pagination
 * #####               genesis_attr_adjacent-entry-pagination
 * #####               genesis_attr_comments-pagination
 * #####               genesis_attr_entry-comments
 * #####               genesis_attr_comment
 * #####               genesis_attr_comment-author
 * #####               genesis_attr_comment-author-link
 * #####               genesis_attr_comment-time
 * #####               genesis_attr_comment-time-link
 * #####               genesis_attr_comment-content
 * #####               genesis_attr_author-box
 * #####               genesis_attr_sidebar-primary
 * #####               genesis_attr_sidebar-secondary
 * #####               genesis_attr_site-footer
 * #####               ATTR NAV PRIMARY genesis_attr_nav-primary
 * #####               genesis_attr_content
 * #####               ATTR SIDEBAR PRIMARY genesis_attr_sidebar-primary
 * #####               genesis_attr_sidebar-secondary
 * #####               genesis_attr_footer-widgets
 * ####            CONTEXT ATTRIBUTE OUTPUT FILTERS
 * #####               genesis_attr_head_output
 * #####               genesis_attr_body_output
 * #####               genesis_attr_site-header_output
 * #####               genesis_attr_site-title_output
 * #####               genesis_attr_site-description_output
 * #####               genesis_attr_header-widget-area_output
 * #####               genesis_attr_breadcrumb_output
 * #####               genesis_attr_breadcrumb-link-wrap_output
 * #####               genesis_attr_search-form_output
 * #####               genesis_attr_nav-primary_output
 * #####               genesis_attr_nav-secondary_output
 * #####               genesis_attr_nav-header_output
 * #####               genesis_attr_nav-link-wrap_output
 * #####               genesis_attr_nav-link_output
 * #####               genesis_attr_structural-wrap_output
 * #####               genesis_attr_content_output
 * #####               genesis_attr_taxonomy-archive-description_output
 * #####               genesis_attr_author-archive-description_output
 * #####               genesis_attr_cpt-archive-description_output
 * #####               genesis_attr_date-archive-description_output
 * #####               genesis_attr_blog-template-description_output
 * #####               genesis_attr_posts-page-description_output
 * #####               genesis_attr_entry_output
 * #####               genesis_attr_entry-image_output
 * #####               genesis_attr_entry-image-widget_output
 * #####               genesis_attr_entry-image-grid-loop_output
 * #####               genesis_attr_entry-author_output
 * #####               genesis_attr_entry-author-link_output
 * #####               genesis_attr_entry-author-name_output
 * #####               genesis_attr_entry-time_output
 * #####               genesis_attr_entry-modified-time_output
 * #####               genesis_attr_entry-title_output
 * #####               genesis_attr_entry-content_output
 * #####               genesis_attr_entry-meta-before-content_output
 * #####               genesis_attr_entry-meta-after-content_output
 * #####               genesis_attr_archive-pagination_output
 * #####               genesis_attr_entry-pagination_output
 * #####               genesis_attr_adjacent-entry-pagination_output
 * #####               genesis_attr_comments-pagination_output
 * #####               genesis_attr_entry-comments_output
 * #####               genesis_attr_comment_output
 * #####               genesis_attr_comment-author_output
 * #####               genesis_attr_comment-author-link_output
 * #####               genesis_attr_comment-time_output
 * #####               genesis_attr_comment-time-link_output
 * #####               genesis_attr_comment-content_output
 * #####               genesis_attr_author-box_output
 * #####               genesis_attr_sidebar-primary_output
 * #####               genesis_attr_sidebar-secondary_output
 * #####               genesis_attr_site-footer_output
 * #####               genesis_attr_nav-primary_output
 * #####               genesis_attr_content_output
 * #####               genesis_attr_sidebar-primary_output
 * #####               genesis_attr_sidebar-secondary_output
 * #####               genesis_attr_footer-widgets_output
 * ####            STRUCTURAL WRAP HEADER genesis_structural_wrap-header
 * ####            STRUCTURAL WRAP NAV genesis_structural_wrap-nav
 * ####            SKIP LINKS OUTPUT genesis_skip_links_output
 * ####            MANAGE TAXONOMY COLUMNS
 * #####               manage_taxonomies_for_{$post_type}_columns
 * END GENESIS CHILD THEME BOILERPLATE
 * #   CORE AND CUSTOM CODE
 * ##      THEME CUSTOMIZER
 * ##      THEME WORDPRESS VERSION
 * ##      THEME SETUP after_setup_theme
 * ###         THEME SUPPORTS
 * ###         THEME IMAGES
 * ##      CORE HOOKS
 * ###         CORE HOOKS HEAD wp_head
 * ####            CORE HOOKS TITLE wp_title
 * ###         CORE HOOKS BODY
 * ###         CORE HOOKS FOOTER
 * ###         CORE HOOKS ENQUEUE SCRIPTS wp_enqueue_scripts
 * ###         CORE HOOKS ADMIN admin_init, admin_enqueue_scripts
 * ####            CORE HOOKS WIDGETS widgets_init, widget_title
 * ###         CORE HOOKS INIT
 * ####            CORE HOOKS INIT REGISTER POST TYPE
 * ####            CORE HOOKS SETTINGS
 * ###         CORE HOOKS AFTER SETUP THEME
 * ###         CORE HOOKS EXCERPT MORE
 * ###         CORE HOOKS COMMENTS
 * ###         CORE HOOKS USER CONTACT METHODS
 * ##      CORE AJAX
 * ##      CORE SHORTCODES
 * #   PLUGINS
 * ##      PLUGINS JETPACK
 * ##      PLUGINS WORDPRESS-SEO
 * #   CUSTOM FUNCTIONS
 * ##      CUSTOM FUNCTIONS WIDGETS
 * #   TEMPLATE TAGS
 */

/*
 * Genesis Functions to add or remove
 *
 * genesis_do_nav
 *
 * genesis_nav_right
 *
 * genesis_do_subnav
 *
 * genesis_footer_markup_open
 *
 * genesis_do_footer
 *
 * genesis_footer_markup_close
 *
 */
/*
 * genesis_do_post_image
 */

/*
 * genesis_do_post_title
 *
 */

/*
 * HELPER FUNCTIONS
 *
 * genesis_attributes_empty_class
 *
 * Helper function for use as a filter for when you want to prevent a class from
 * being automatically generated and output on an element that is passed through
 * the markup API.
 *
 * genesis_attributes_screen_reader_class
 *
 * Helper function for use as a filter for when you want to add
 * screen-reader-text class to an element.
 *
 */

/*
 * *****************************************************************************
 * ************************* END TABLE OF CONTENTS *****************************
 * *****************************************************************************
 */

// <editor-fold desc="#GENESIS SPECIFIC CODE">
/**
 * -----------------------------------------------------------------------------
 * #GENESIS SPECIFIC CODE
 * -----------------------------------------------------------------------------
 */

// <editor-fold desc="##GENESIS INCLUDE AND DEFINE">
/**
 * ----------------------------------------------------------------------------
 * include_once(), define()
 * ----------------------------------------------------------------------------
 */

// Initialisation. Include init file from Genesis Framework parent theme. AKA Start the engine.
/* @noinspection PhpIncludeInspection */
include_once get_template_directory() . '/lib/init.php';

// Setup this child theme with its own defaults.
/* @noinspection PhpIncludeInspection */
include_once get_stylesheet_directory() . '/inc/theme-defaults.php';

// <editor-fold desc="###Child theme CONSTANTS (do not remove).">
/**
 * Define the child theme name.
 */
define( 'CHILD_THEME_NAME', '${Theme Name}' );
/**
 * Define child theme URL.
 */
define( 'CHILD_THEME_URL', 'http://brewpixel.com/wordpress/theme/${theme-name-lowercase-hyphen-no-spaces}' );
/**
 * Define child theme version.
 */
define( 'CHILD_THEME_VERSION', '${child-theme-version-number:-0.1.0}' );

/**
 * Define minimum WordPress version for this theme.
 */
define( 'MINIMUM_WORDPRESS_VERSION', '${minimum_wordpress_version}' );

// </editor-fold>
// </editor-fold>
// <editor-fold desc="##GENESIS THEME SUPPORT">
/**
 * -----------------------------------------------------------------------------
 * add_theme_support()
 * -----------------------------------------------------------------------------
 */

/*
 * Add HTML5 markup structure. Switch default core markup for search form, comment form,
 * and comments to output valid HTML5.
 */
add_theme_support( 'html5',
	array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	)
);

// Add accessibility support.
add_theme_support( 'genesis-accessibility', array(
	'404-page',
	'drop-down-menu',
	'headings',
	'rems',
	'search-form',
	'skip-links',
) );

// Add viewport meta tag for mobile browsers.
add_theme_support( 'genesis-responsive-viewport' );

// @TODO: Choose number of columns in footer widget area.
// Add support for 3-column footer widget area (Second parameter is number of columns).
add_theme_support( 'genesis-footer-widgets', 3 );

// @TODO: Decide which menus to support or remove.
// Optional: Rename primary menu & add support for secondary footer menu.
// Optional: Unregister primary/secondary navigation menus by removing from here.
// Optional: If using custom menus. remove_theme_support( 'genesis-menus' );
add_theme_support( 'genesis-menus',
	array(
		'primary'     => __( 'Header Navigation Menu', '${theme-name-lowercase-hyphen-no-spaces}' ),
		'secondary'   => __( 'Footer Navigation Menu', '${theme-name-lowercase-hyphen-no-spaces}' ),
		'widget-menu' => __( 'Widget Navigation Menu', '${theme-name-lowercase-hyphen-no-spaces}' ),
	)
);

// Remove primary/secondary navigation menus.
// remove_theme_support( 'genesis-menus' );
// @todo: Which structural wraps does the theme(design) need?
// Add support for structural wraps.
add_theme_support( 'genesis-structural-wraps', array(
	'header',
	'menu-primary',
	'menu-secondary',
	'site-inner',
	'theme-prefix-lowercase-hyphen-no-spaces-generic-structural-wrap',
	'theme-prefix-lowercase-hyphen-no-spaces-flex-grid-structural-wrap',
	'footer-widgets',
	'footer',
) );

// @todo: Optional: Can we support other colour styles? If yes, a metabox gets added in Genesis settings with a
// dropdown containing these choices.
// Add support for additional colour style options.
add_theme_support( 'genesis-style-selector', array(
	'${theme-name-lowercase-hyphen-no-spaces}-pro-charcoal' => __( 'Charcoal', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'${theme-name-lowercase-hyphen-no-spaces}-pro-green'    => __( 'Green', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'${theme-name-lowercase-hyphen-no-spaces}-pro-orange'   => __( 'Orange', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'${theme-name-lowercase-hyphen-no-spaces}-pro-purple'   => __( 'Purple', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'${theme-name-lowercase-hyphen-no-spaces}-pro-red'      => __( 'Red', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'${theme-name-lowercase-hyphen-no-spaces}-pro-yellow'   => __( 'Yellow', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'${theme-name-lowercase-hyphen-no-spaces}-pro-blue'     => __( 'Blue', '${theme-name-lowercase-hyphen-no-spaces}' ),
) );

// @TODO: Do we want the Genesis menu to be available in the admin?
// Remove Genesis menu link.
// remove_theme_support( 'genesis-admin-menu' );
// Remove Genesis SEO Settings menu link.
// remove_theme_support( 'genesis-seo-settings-menu' );
// @TODO: Are we using the Genesis connect woocommerce plugin?
// add_theme_support( 'genesis-connect-woocommerce' );
// @todo: How are we using this?
// Add support for after entry widget.
// add_theme_support( 'genesis-after-entry-widget-area' );

// @TODO: Do we want to add other layouts?
//add_action( 'init', 'theme_prefix_lowercase_underscore_no_spaces_register_contact_bottombar_layout' );
/**
 * Create Content Bottombar Layout
 */
function theme_prefix_lowercase_underscore_no_spaces_register_contact_bottombar_layout() {
	genesis_register_layout( 'content-bottombar', array(
		'label' => __( 'Content Bottombar', '${theme_prefix_lowercase_underscore_no_spaces}' ),
		'img'   => get_stylesheet_directory() . '/img/layout-content-bottombar.gif',
	) );
}

// @TODO: Would we like to remove the ability to change layouts from the admin GUI?
// Remove inpost layouts.
// remove_theme_support( 'genesis-inpost-layouts' );
// remove_theme_support( 'genesis-archive-layouts' );
// @TODO: What layouts would we like to remove?
/**
 * Unregister layout settings.
 * There 6 default Genesis layouts:
 *
 * 1. content-sidebar
 * 2. sidebar-content
 * 3. content-sidebar-sidebar
 * 4. sidebar-sidebar-content
 * 5. sidebar-content-sidebar
 * 6. full-width-content
 */
// genesis_unregister_layout( 'content-sidebar-sidebar' );
// genesis_unregister_layout( 'sidebar-content-sidebar' );
// genesis_unregister_layout( 'sidebar-sidebar-content' );
// genesis_unregister_layout( 'content-sidebar' );
// genesis_unregister_layout( 'sidebar-content' );
// genesis_unregister_layout( 'full-width-content' );
/*
// @TODO: Set global default layout:
// Set content/sidebar as the default layout.
genesis_set_default_layout( 'content-sidebar' );
// Set sidebar/content as the default layout.
genesis_set_default_layout( 'sidebar-content' );
// Set content/sidebar/sidebar as the default layout.
genesis_set_default_layout( 'content-sidebar-sidebar' );
// Set sidebar/sidebar/content as the default layout.
genesis_set_default_layout( 'sidebar-sidebar-content' );
// Set sidebar/content/sidebar as the default layout.
genesis_set_default_layout( 'sidebar-content-sidebar' );
// Set full-width content as the default layout.
genesis_set_default_layout( 'full-width-content' );
*/

// @TODO: Do we want certain types of views to have a different default layout than the global default layout?
// add_filter( 'genesis_site_layout', 'theme_prefix_lowercase_underscore_no_spaces_default_layouts' );
/**
 * Set the default layout for blog archive and single posts.
 *
 * @return string Default layout.
 */
// @codingStandardsIgnoreStart
/*
function theme_prefix_lowercase_underscore_no_spaces_default_layouts() {
	$post_type = get_post_type();
	if ( 'post' === $post_type || is_home() ) {
		return 'content-sidebar';
	} elseif ( 'brew_equipment' === $post_type && is_single() ) {
		return 'content-bottombar';
	}
	return null;
}
*/
// @codingStandardsIgnoreEnd

// @TODO: Do we want certain types of views to have a different layout that is forced?
// **************************************************************************************************
// * Alternatively you can place this directly in the relevant template:
// *	`add_filter( 'genesis_pre_get_option_site_layout', '__genesis_return_full_width_content' );`
// **************************************************************************************************
// add_filter( 'genesis_pre_get_option_site_layout', 'child_do_layout' );
/**
 * Set the layout for blog archive and single posts.
 * This forces the layout to stay this way.
 *
 * All pages: if ( is_page() && !is_archive() && !is_page( 'blog' ) ) {}
 * Single Posts: if ( is_single() ) {}
 * All Archives: if ( is_archive() ) {}
 * All Posts In A Category: if ( in_category('007') && !is_archive() ) {}
 *
 * @param  string $opt Layout type option.
 *
 * @return string      Layout type.
 */
function child_do_layout( $opt ) {
	if ( 'post' === get_post_type() || is_home() ) { // Modify the conditions to apply the layout to here
		$opt = 'full-width-content'; // You can change this to any Genesis layout.

		return $opt;
	}

	return $opt;
}

// @TODO: What sidebars would we like to remove?
// Optionally choose which sidebars to unregister.
// Remove the primary sidebar.
// unregister_sidebar( 'sidebar' );
// Remove/Unregister secondary sidebar.
// unregister_sidebar( 'sidebar-alt' );
// Unregister the header right widget area.
// unregister_sidebar( 'header-right' );
// </editor-fold>
// <editor-fold desc="##GENESIS HOOKS ACTIONS">
/**
 * -----------------------------------------------------------------------------
 * ##GENESIS HOOKS ACTIONS
 * -----------------------------------------------------------------------------
 */

// <editor-fold desc="###GENESIS HOOKS Internal Action Hooks">
/**
 * -----------------------------------------------------------------------------
 *  ###GENESIS HOOKS Internal Action Hooks
 * -----------------------------------------------------------------------------
 */

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS PRE genesis_pre
 * -----------------------------------------------------------------------------
 */

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS PRE-FRAMEWORK genesis_pre_framework
 * -----------------------------------------------------------------------------
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS Document Head Action Hooks">
/**
 * -----------------------------------------------------------------------------
 *  ###GENESIS HOOKS Document Head Action Hooks
 * -----------------------------------------------------------------------------
 */

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS TITLE genesis_title
 * -----------------------------------------------------------------------------
 */

// <editor-fold desc="####GENESIS HOOKS META genesis_meta">
/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS META genesis_meta
 *
 * This hook executes in the section of the document source. By default, things like META descriptions and keywords are
 * output using this hook, along with the default stylesheet and the reference to the favicon.
 *
 * Location in header.php:
 * do_action( 'genesis_doctype' );
 * do_action( 'genesis_title' );
 * do_action( 'genesis_meta' );
 * wp_head(); //* we need this for plugins
 * ?>
 * </head>
 * -----------------------------------------------------------------------------
 */

add_action( 'genesis_meta', 'theme_prefix_lowercase_underscore_no_spaces_genesis_meta' );
/**
 * Output in head section of header.php after the meta title but before the wp_head hook.
 */
function theme_prefix_lowercase_underscore_no_spaces_genesis_meta() {
	// @codingStandardsIgnoreStart
	if ( is_front_page() ) {

	}

	if ( is_archive() && ! is_post_type_archive() && ! is_home() ) {

	}

	if ( is_search() ) {

	}

	if ( is_post_type_archive() && genesis_has_post_type_archive_support() ) {

	}

	if ( is_author() ) {

	}

	if ( is_home() ) {

	} elseif ( is_singular() ) {
		if ( ! is_page() ) {

		} elseif ( has_excerpt() ) {

		}
	}
	// @codingStandardsIgnoreEnd
}

// </editor-fold>
// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS Structural Action Hooks">
/**
 * -----------------------------------------------------------------------------
 *  ###GENESIS HOOKS Structural Action Hooks
 * -----------------------------------------------------------------------------
 */

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS BEFORE genesis_before
 * -----------------------------------------------------------------------------
 */

// @TODO: Does the post title need removed/moved or changed on any pages/templates?
add_action( 'genesis_before', 'theme_prefix_lowercase_underscore_no_spaces_post_title' );
/**
 * Optional: Reposition Page Title.
 */
function theme_prefix_lowercase_underscore_no_spaces_post_title() {
	// @codingStandardsIgnoreStart
	/*
	if ( is_page() and ! is_page_template() and ! is_front_page() ) {
		remove_action( 'genesis_entry_header', 'genesis_do_post_title' );
		add_action( 'genesis_before_loop', 'theme_prefix_lowercase_underscore_no_spaces_open_post_title', 2 );
		add_action( 'genesis_before_loop', 'genesis_do_post_title', 4 );
		add_action( 'genesis_before_loop', 'theme_prefix_lowercase_underscore_no_spaces_close_post_title', 6 );
	} elseif ( is_category() ) {
		remove_action( 'genesis_before_loop', 'genesis_do_taxonomy_title_description', 15 );
		add_action( 'genesis_before_loop', 'theme_prefix_lowercase_underscore_no_spaces_open_post_title', 2 );
		add_action( 'genesis_before_loop', 'genesis_do_taxonomy_title_description', 4 );
		add_action( 'genesis_before_loop', 'theme_prefix_lowercase_underscore_no_spaces_close_post_title', 6 );
	}
	if ( is_post_type_archive( 'bp-gallery' ) ) {
		remove_action( 'genesis_entry_header', 'genesis_do_post_title' );
	}
	*/
	// @codingStandardsIgnoreEnd
}

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS AFTER genesis_after
 * -----------------------------------------------------------------------------
 */

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS HEADER BEFORE genesis_before_header
 * -----------------------------------------------------------------------------
 */

/**
 * -----------------------------------------------------------------------------
 *  ####GENESIS HOOKS HEADER genesis_header
 *
 * By default, this hook outputs the header code, including the site title,
 * site description, and widget area (if necessary).
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add/move the menu navigation in the page header?
/**
 * Optional: Reposition menu navigation in header.
 * Default location of 'genesis_do_nav' and 'genesis_do_subnav' are in
 * the 'genesis_after_header' hook.
 */
// add_action( 'genesis_header', 'genesis_do_nav', 12 );
/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS HEADER RIGHT genesis_header_right
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add a CTA widget area here?
// add_action( 'genesis_header_right', 'theme_prefix_lowercase_underscore_no_spaces_show_header_cta', 9 );
// @TODO: Do we want to add/move the menu navigation to the header right area?
// add_action( 'genesis_header_right', 'genesis_do_nav' );

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS HEADER AFTER genesis_after_header
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add/move/remove the menu navigation in the page header?
// Optional: Reposition the navigation.
// Default is: 'genesis_do_nav' and 'genesis_do_subnav' are added to
// 'genesis_after_header' in the Genesis parent
// framework so if you want to move/remove them then you must do so here.
// remove_action( 'genesis_after_header', 'genesis_do_nav' );
// remove_action( 'genesis_after_header', 'genesis_do_subnav' );
/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS SITE TITLE genesis_site_title
 * -----------------------------------------------------------------------------
 */

// Remove the site title.
//remove_action( 'genesis_site_title', 'genesis_seo_site_title' );

// Add to site title.
//add_action( 'genesis_site_title', 'theme_prefix_lowercase_underscore_no_spaces_site_title', 1 );
/**
 * Alter site title.
 */
function theme_prefix_lowercase_underscore_no_spaces_site_title() {
	//@TODO Which version to use? Echo or straight HTML?
	echo '<a href="' . esc_url( home_url( '/' ) ) . '" class="c-logo-wrapper">
<svg aria-labelledby="title-masthead-logo" role="img" class="c-bp-icon c-bp-icon--logo">
<title id="title-masthead-logo">' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '</title>
<use xlink:href="' . get_stylesheet_directory_uri() . '/svg-icons/symbol-defs.svg#c-bp-icon--logo"></use></svg></a>';
	?>
	<a href="<?php echo esc_url( home_url( '/' ) ) ?>" class="c-logo-wrapper">
		<svg aria-labelledby="title-masthead-logo" role="img"
		     class="c-bp-icon c-bp-icon--logo">
			<title
				id="title-masthead-logo"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) ) ?></title>
			<use
				xlink:href="<?php echo esc_url( get_stylesheet_directory_uri() . '/svg-icons/symbol-defs.svg#c-bp-icon--logo' ); ?>"></use>
		</svg>
	</a>
	<?php
}

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS SITE DESCRIPTION genesis_site_description
 * -----------------------------------------------------------------------------
 */

/*
 * @TODO: Do we want to remove the site description?
// Remove the site description.
remove_action( 'genesis_site_description', 'genesis_seo_site_description' );
*/

/*
 * @TODO: Do we want to edit the site description?
 * add_filter( 'genesis_site_description_wrap', 'theme_prefix_lowercase_underscore_no_spaces_wrap_html_element_for_site_description' );
 */
/**
 * Use h1 for site description
 *
 * @param string $wrap
 *
 * @return string
 */
// @codingStandardsIgnoreStart
/*
function theme_prefix_lowercase_underscore_no_spaces_wrap_html_element_for_site_description( $wrap ) {
	return 'h1';
}
*/
// @codingStandardsIgnoreEnd

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS BEFORE CONTENT SIDEBAR WRAP
 * genesis_before_content_sidebar_wrap
 *
 * This hook executes immediately before the div block that wraps the content
 * and the primary sidebar (outside the #content-sidebar-wrap div).
 * -----------------------------------------------------------------------------
 */

/*
 * @TODO: Do we want to add anything before the content sidebar wrap such as a CTA?
 * Add a call to action via a template tag function.
 * add_action( 'genesis_before_content_sidebar_wrap', 'theme_prefix_lowercase_underscore_no_spaces_show_header_cta', 2 );
 */

/*
 * @TODO: Do we want to add breadcrumbs here?
 * Add breadcrumbs.
 * Default is: 'genesis_do_breadcrumbs' is added to 'genesis_before_loop' so
 * if added here then the default location should be removed.
 * add_action( 'genesis_before_content_sidebar_wrap', 'genesis_do_breadcrumbs', 3 );
 */


/*
// genesis_after_content_sidebar_wrap
// genesis_before_content
// genesis_after_content
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS SIDEBAR
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * #####GENESIS HOOKS SIDEBAR genesis_sidebar
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * #####GENESIS HOOKS SIDEBAR WIDGET AREA BEFORE
 * genesis_before_sidebar_widget_area
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * #####GENESIS HOOKS SIDEBAR WIDGET AREA AFTER genesis_after_sidebar_widget_area
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * #####GENESIS HOOKS SIDEBAR ALT genesis_sidebar_alt
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * #####GENESIS HOOKS SIDEBAR ALT WIDGET AREA BEFORE
 * genesis_before_sidebar_alt_widget_area
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * #####GENESIS HOOKS SIDEBAR ALT WIDGET AREA AFTER
 * genesis_after_sidebar_alt_widget_area
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS BEFORE FOOTER genesis_before_footer
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS FOOTER genesis_footer
 *
 * This hook, by default, outputs the content of the footer, including
 * the #footer div wrapper.
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add/move the secondary menu navigation in the page footer?
/**
 * Optional: Add secondary menu navigation in footer.
 * Default location of 'genesis_do_nav' and 'genesis_do_subnav' are in the 'genesis_after_header' hook.
 */
// If we want the navigation before the footer credits:
// add_action( 'genesis_footer', 'genesis_do_subnav', 9 );
// or
// If we want the navigation after the footer credits:
// add_action( 'genesis_footer', 'genesis_do_subnav' );
// @TODO: Do we want to add another custom menu navigation in the page footer?
/**
 * Optional: Add custom menu navigation in footer.
 * add_action( 'genesis_footer', 'theme_prefix_lowercase_underscore_no_spaces_footer_menu', 7 );
 */

/**
 * Hook menu in footer.
 */
// @codingStandardsIgnoreStart
/*
function theme_prefix_lowercase_underscore_no_spaces_footer_menu() {

	genesis_nav_menu( array(
		'theme_location' => 'footer',
		'container'      => false,
		'depth'          => 1,
		'fallback_cb'    => false,
		'menu_class'     => 'genesis-nav-menu',
	) );

}
*/
// @codingStandardsIgnoreEnd

/*
// genesis_after_footer
// Loop Action Hooks
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS BEFORE LOOP genesis_before_loop
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add the featured image to the before loop hook?
// Add featured image above the entry content.
// add_action( 'genesis_before_loop', 'theme_prefix_lowercase_underscore_no_spaces_featured_image', 3 );
/**
 * Add featured image to singular pages that aren't the front page or contact
 * page as long as the Genesis setting is not set to not show the featured image.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_featured_image() {

	if ( is_attachment() || ! genesis_get_option( 'content_archive_thumbnail' ) ) {
		return;
	}

	/*
	 * This will apply to the blog single page and other single pages.
	 * It uses the image size as set within Genesis settings in wp-admin.
	 * This image size applies to both archive and single.
	 * @TODO: Does this size need to be different on archive and single?
	 //

	if ( is_singular() && ! is_front_page() &&
	     ! is_page_template( 'page_contact.php' ) && $image = genesis_get_image(
			 array(
				'format' => 'url',
				'size'   => 'blog-single@1x',
				'fallback' => '',
			 )
		 )
	) {
		$size = 'blog-single@1x';
		printf( // WPCS: XSS OK.
			'<div class="featured-image"><img src="%s" alt="%s"
			class="entry-image  ' . sanitize_html_class( $size ) . '"/></div>',
			$image,
			the_title_attribute( 'echo=0' )
		);
	}
}
*/

// @TODO: Do we want to move/remove breadcrumbs?
// Reposition or remove the breadcrumbs.
// Default is: 'genesis_do_breadcrumbs' added to 'genesis_before_loop'.
// remove_action( 'genesis_before_loop', 'genesis_do_breadcrumbs' );
/*
// genesis_loop
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS AFTER LOOP genesis_after_loop
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add widget area for the widget_calls_to_action plugin here?
// add_action( 'genesis_after_loop', 'theme_prefix_lowercase_underscore_no_spaces_home_ctas', 11 );
/**
 * Add calls to action widget area to front page.
 *
 * @return bool
 */
// @codingStandardsIgnoreStart
/*
function theme_prefix_lowercase_underscore_no_spaces_nav_ctas() {

	if ( is_active_sidebar( 'theme_prefix_lowercase_underscore_no_spaces_widget_calls_to_action' ) ) {
		?>
		<div class="bp-plugin-l-cols">
			<?php dynamic_sidebar( 'theme_prefix_lowercase_underscore_no_spaces_widget_calls_to_action' ); ?>
		</div>
		<?php
	} else {
		return false;
	}
}
*/

// @TODO: Do we want to add widget areas to the front page?
// add_action( 'genesis_after_loop', 'theme_prefix_lowercase_underscore_no_spaces_home_featured', 12 );
/**
 * Hook after home featured widget before the content.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_home_featured() {

	if ( is_front_page() ) {
		?>
		<div
			class="">
			<?php
			genesis_widget_area( 'home-featured-first', array(
				'before' => '<div class="l-w-mx-1 entry entry-content p-b-n-mq-1024-up m-b-m d-background-12"><div
                        class="l-grid-flex l-grid-flex--start l-grid-flex--mq-1024-up l-grid-flex--cols-2-mq-1024-up l-grid-flex--gutters-l">',
				'after'  => '</div></div>',
			) );
			genesis_widget_area( 'home-featured-second', array(
				'before' => '<div class="entry entry-content l-w-mx-2 p-b-n"><div class="l-grid-flex l-grid-flex--start l-grid-flex--cols-3-mq-768-up l-grid-flex--gutters-m">',
				'after'  => '</div></div>',
			) );
			?>
		</div>
		<?php
	}
}
*/

/*
// genesis_after_endwhile
*/
// @TODO Do we want to move/remove pagination?
//remove_action( 'genesis_after_endwhile', 'genesis_posts_nav' );

/*
// genesis_loop_else
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS BEFORE ENTRY genesis_before_entry (HTML5)
 * -----------------------------------------------------------------------------
 */

/*
 * @TODO: Do we want to add breadcrumbs here?
 * Add breadcrumbs.
 * Default is: 'genesis_do_breadcrumbs' is added to 'genesis_before_loop' so
 * if added here then the default location should be removed.
 */
// add_action( 'genesis_before_entry', 'genesis_do_breadcrumbs', 16 );
/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS AFTER ENTRY genesis_after_entry (HTML5)
 * -----------------------------------------------------------------------------
 */

// @todo Is this needed and is the priority correct?
// Relocate after entry widget.
// remove_action( 'genesis_after_entry', 'genesis_after_entry_widget_area' );
/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS ENTRY HEADER genesis_entry_header (HTML5)
 * -----------------------------------------------------------------------------
 */

// Remove the entry title in the entry header.
// remove_action( 'genesis_entry_header', 'genesis_do_post_title' );
// Remove the post format image in the entry header.
// remove_action( 'genesis_entry_header', 'genesis_do_post_format_image', 4 );
// @TODO: Do we want to add the featured image to the entry header?
// add_action( 'genesis_entry_header', 'genesis_do_post_image', 1 );
// @TODO: Do we want to move/remove the post info html?
// Reposition the post info function.
// Default is: 'genesis_post_info' added to 'genesis_entry_header' priority 12.
// Example: remove_action( 'genesis_entry_header', 'genesis_post_info', 12 );.
/*
 add_action( 'genesis_entry_header', 'genesis_post_info', 8 );
if ( ! is_single() || is_singular( array(
		'bpclient',
		'bppartner',
		'bpservice',
		'bpteam',
	) )
) {
	// Remove the entry meta post info in the entry header (Author/Date etc.).
	remove_action( 'genesis_entry_header', 'genesis_post_info', 12 );
}
*/

/*
// genesis_before_entry_content (HTML5)
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS ENTRY CONTENT genesis_entry_content (HTML5)
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to remove the post image from posts/pages?
// Remove default post image.
// The post image is either the featured image or the first image within the
// content.
// Default from Genesis parent framework is: 'genesis_do_post_image' added
// to 'genesis_entry_content' with priority 8
// remove_action( 'genesis_entry_content', 'genesis_do_post_image', 8 );
/*
// genesis_after_entry_content (HTML5)
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS ENTRY FOOTER genesis_entry_footer
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to remove the post meta?
// Default is: 'genesis_post_meta' added to 'genesis_entry_footer' priority 10.
// Remove default post meta.
// remove_action( 'genesis_entry_footer', 'genesis_post_meta' );
// Remove the entry meta in the entry footer.
/*
remove_action( 'genesis_entry_footer', 'genesis_entry_footer_markup_open', 5 );
remove_action( 'genesis_entry_footer', 'genesis_post_meta' );
remove_action( 'genesis_entry_footer', 'genesis_entry_footer_markup_close', 15 );
*/

// Add previous and next post links in entry footer.
// add_action( 'genesis_entry_footer', 'genesis_prev_next_post_nav' );
// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS Comment Action Hooks">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS Comment Action Hooks
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS COMMENTS BEFORE genesis_before_comments
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to wrap the comments in some markup such as a div?
// If so make sure to include the closing div in an after hook.
// add_action( 'genesis_before_comments', 'theme_prefix_lowercase_underscore_no_spaces_open_comments', 1 );
/**
 * Add div around comments.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_open_comments() {
	// @todo: Remove entry-content class.
	echo '<div class="comments-area forms-block entry-content">';
}
*/

/*
// genesis_comments
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS COMMENTS AFTER genesis_after_comments
 * -----------------------------------------------------------------------------
 */
// @TODO: Do we want to wrap the comments in some markup such as a div?
// If so make sure to include the opening div in a before hook.
// add_action( 'genesis_after_comments', 'theme_prefix_lowercase_underscore_no_spaces_close_div_generic', 1 );
/*
// genesis_list_comments
// genesis_before_pings
// genesis_pings
// genesis_after_pings
// genesis_list_pings
// genesis_before_comment
// genesis_after_comment
// genesis_before_comment_form
// genesis_comment_form
// genesis_after_comment_form
*/

// </editor-fold>
// </editor-fold>
// <editor-fold desc="##GENESIS HOOKS FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ##GENESIS HOOKS FILTERS
 * -----------------------------------------------------------------------------
 */

// <editor-fold desc="###GENESIS HOOKS COMMENTS SECTION FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS COMMENTS SECTION FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_title_comments Default value: __(‘<h3>Comments</h3>’, ‘genesis’)
 * genesis_no_comments_text Default value: (empty)
 * genesis_comments_closed_text Default value: (empty)
 * genesis_title_pings Default value: __(‘<h3>Trackbacks</h3>’, ‘genesis’)
 * genesis_no_pings_text Default value: (empty)
*/

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS COMMENT LIST ARGS genesis_comment_list_args
 *
 * Default value: $args
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to modify the size of the Gravatar in the entry comments.
// add_filter( 'genesis_comment_list_args', 'theme_prefix_lowercase_underscore_no_spaces_comments_gravatar' );
/**
 * Modify the size of the Gravatar in the entry comments.
 *
 * @param array $args List of comment arguments.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_comments_gravatar( $args ) {

	$args['avatar_size'] = 120;

	return $args;

}
*/

/*
 * genesis_ping_list_args Default value: $args
 * comment_author_says_text Default value: __(‘says’, ‘genesis’)
 * genesis_comment_form_args Default value: $args, $user_identity, $id, $commenter, $req, $aria_req
*/

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS FOOTER SECTION FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS FOOTER SECTION FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS FOOTER BACKTOTOP TEXT genesis_footer_backtotop_text
 *
 * Default value: [footer_backtotop]
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS FOOTER CREDS TEXT genesis_footer_creds_text
 *
 * Default value: __('Copyright', 'genesis') . ' [footer_copyright] [footer_childtheme_link] &middot;
 * [footer_genesis_link] [footer_studiopress_link] &middot; [footer_wordpress_link] &middot; [footer_loginout]'
 *
 * New default value: sprintf( '[footer_copyright before="%s "] &#x000B7;
 * [footer_childtheme_link before="" after=" %s"] [footer_genesis_link
 * url="http://www.studiopress.com/" before=""] &#x000B7;
 * [footer_wordpress_link] &#x000B7; [footer_loginout]', __( 'Copyright',
 * 'genesis' ), __( 'on', 'genesis' ) );
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to alter the default footer credits?
add_filter( 'genesis_footer_creds_text', 'theme_prefix_lowercase_underscore_no_spaces_custom_footer_creds_text' );
/**
 * Customise the footer credits.
 *
 * @param string $credits The original footer markup.
 *
 * @return string
 */
function theme_prefix_lowercase_underscore_no_spaces_custom_footer_creds_text( $credits ) {
	//$credits = '<span class="credits">';
	$new_credits = __( 'Copyright', 'genesis' ) . ' [footer_copyright] &middot; ';
	//$credits .= 'Copyright &copy; ';
	//$credits .= esc_html( date( 'Y' ) );
	//$credits .= ' &middot; ';
	$new_credits .= esc_html( get_bloginfo() );
	//$credits .= '</span>';

	return $new_credits;
}

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS FOOTER OUTPUT genesis_footer_output
 *
 * Default value: $output, $backtotop_text, $creds_text
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_footer_scripts Default value: genesis_option(‘footer_scripts’)
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS HEADER SECTION FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS HEADER SECTION FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_seo_title Default value: $title, $inside, $wrap
 * genesis_seo_description Default value: $description, $inside, $wrap
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS PRELOAD FAVICON genesis_pre_load_favicon
 *
 * Default value: false
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we want to add the favicon this way? Look into WordPress customizer.
// add_filter( 'genesis_pre_load_favicon', 'theme_prefix_lowercase_underscore_no_spaces_favicon_filter' );
/**
 * Add a custom favicon.
 *
 * @param string $favicon_url The favicon location URL.
 *
 * @return string
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_favicon_filter( $favicon_url ) {
	return get_stylesheet_directory() . '/images/favicon-96x96.png';
}
*/

/*
 * genesis_favicon_url
 */

/*
 * genesis_header_scripts Default value: genesis_get_option(‘header_scripts’)
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS LOOP FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS LOOP FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_custom_loop_args Default value: wp_parse_args($args, $defaults), $args, $defaults
 * genesis_post_title_text Default value: get_the_title()
 * genesis_post_title_output Default value: $title
 * genesis_noposts_text Default value: __(‘Sorry, no posts matched your criteria.’, ‘genesis’)
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS POST INFO genesis_post_info
 *
 * Default value: $post_info
 * $post_info = [post_date] ' . __( 'by', 'genesis' ) . ' [post_author_posts_link] [post_comments] [post_edit]
 * -----------------------------------------------------------------------------
 */

// @TODO: Customise the post info.
// add_filter( 'genesis_post_info', 'theme_prefix_lowercase_underscore_no_spaces_post_info_filter' );
/**
 * Customize the post info function.
 *
 * @param string $post_info The information about the post.
 *
 * @return string
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_post_info_filter( $post_info ) {

	// $post_info = '[post_date format="m.d.Y"] <span class="by">by</span> [post_author_posts_link]
	// [post_comments] [post_edit]';
	if( is_post_type_archive( 'brew_testimonial' ) ) {
		$post_info = "[post_date format='Y-m-d' before='<span class=\"screen-reader-text\">' after='</span>']";
		// <span class='by'>" . __( 'by', 'genesis' ) . "</span> [post_author_posts_link] [post_comments] [post_edit]';
	}
	else if ( ! is_page() && ! is_home() && ! is_singular( array(
			'bpclient',
			'bppartner',
			'bpservice',
			'bpteam',
		) )
	) {
		$post_info = '[post_date] by [post_author_posts_link] [post_edit]';
	}
	return $post_info;

}
*/

// Remove the entry meta in the entry header.
/*
remove_action( 'genesis_entry_header', 'genesis_entry_header_markup_open', 5 );
remove_action( 'genesis_entry_header', 'genesis_post_info', 12 );
remove_action( 'genesis_entry_header', 'genesis_entry_header_markup_close', 15 );
*/

/*
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS POST META genesis_post_meta
 *
 * Default value: $post_meta
 * $post_meta = [post_categories] [post_tags]
 * ----------------------------------------------------------------------------
 */
// Customize the entry meta in the entry footer.
/*
add_filter( 'genesis_post_meta', 'theme_prefix_lowercase_underscore_no_spaces_entry_meta_footer' );
function theme_prefix_lowercase_underscore_no_spaces_entry_meta_footer($post_meta) {
	$post_meta = '[post_categories] [post_tags]';
	return $post_meta;
}
*/

/*
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS AUTHOR BOX
 * ----------------------------------------------------------------------------
 */
// Add the author box on archive pages.
// add_filter( 'get_the_author_genesis_author_box_archive', '__return_true' );
// Remove the author box on archive pages
// remove_action( 'genesis_before_loop', 'genesis_do_author_box_archive', 15 );
// Add the author box on single posts.
// add_filter( 'get_the_author_genesis_author_box_single', '__return_true' );
// Remove the author box on single posts
// remove_action( 'genesis_after_entry', 'genesis_do_author_box_single', 8 );
/*
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS AUTHOR BOX GRAVATAR SIZE genesis_author_box_gravatar_size
 *
 * Default value: 70
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to change the size of the author gravatar?
// add_filter( 'genesis_author_box_gravatar_size', 'theme_prefix_lowercase_underscore_no_spaces_author_box_gravatar_size' );
/**
 * Modify the size of the Gravatar in author box.
 *
 * @param integer $size Size in pixels of gravatar image.
 *
 * @return int
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_author_box_gravatar_size( $size ) {

	return 96;

}
*/

/*
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS AUTHOR BOX TITLE genesis_author_box_title
 *
 * Default value: sprintf( ‘<strong>%s %s</strong>’, __(‘About’, ‘genesis’), get_the_author() )
 * ----------------------------------------------------------------------------
 */
// Customize the author box title.
// add_filter( 'genesis_author_box_title', 'theme_prefix_lowercase_underscore_no_spaces_custom_author_box_title' );
/*
function theme_prefix_lowercase_underscore_no_spaces_custom_author_box_title() {

	return '<h1>About the Author</h1>';
}
*/

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS SEARCH FORM FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS SEARCH FORM FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * the_search_query Default value: get_search_query()
 * genesis_search_text Default value: esc_attr__(‘Search this website…’, ‘genesis’)
 * genesis_search_button_text Default value: esc_attr__( ‘Search’, ‘genesis’ )
 * genesis_search_form Default value: $form, $search_text, $button_text
 */

// @TODO: Do we want to alter the text within the search form input(placeholder)?
// add_filter( 'genesis_search_text', 'theme_prefix_lowercase_underscore_no_spaces_search_text' );
/**
 * Search form text.
 *
 * @param string $text The text within the search form input(placeholder).
 *
 * @return string|void
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_search_text( $text ) {
	// @TODO: Should we change this to something like "this website"?
	return esc_attr( 'Search ${domain_name}' );
}
*/

// Customise search form input button text.
/*
add_filter( 'genesis_search_button_text', 'theme_prefix_lowercase_underscore_no_spaces_search_form_button_text' );
function theme_prefix_lowercase_underscore_no_spaces_search_form_button_text( $text ) {
	return esc_attr( 'Search' );
}
*/

// Customise search form label.
/*
add_filter( 'genesis_search_form_label', 'theme_prefix_lowercase_underscore_no_spaces_search_form_label' );
function theme_prefix_lowercase_underscore_no_spaces_search_form_label ( $text ) {
	return esc_attr( 'Search Form' );
}
*/

// </editor-fold>
// <editor-fold desc="###GENESIS SEARCH TITLE OUTPUT">
/**
 * ----------------------------------------------------------------------------
 * This filter changes the search title output on the search page.
 *
 * Function: genesis_search_title_output
 * Default:
 * <code>
 * $title = sprintf( '<div class="archive-description">
 * <h1 class="archive-title">%s %s</h1></div>',
 * apply_filters( 'genesis_search_title_text',
 * __( 'Search Results for:', 'genesis' ) ), get_search_query() );
 * </code>
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to alter the search page title?
// add_filter( 'genesis_search_title_output', 'theme_prefix_lowercase_underscore_no_spaces_change_search_title_output' );
/**
 * The search title output of the search results page.
 *
 * @param string $title The HTML of the search title.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_change_search_title_output( $title ) {
	return $title;
}
*/

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS MISC. FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS MISC. FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * ---------------------------------------------------------------------------*\
 * ####GENESIS HOOKS BREADCRUMBS
 * ---------------------------------------------------------------------------
 */

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS BREADCRUMB ARGS genesis_breadcrumb_args
 *
 * Default value: $args
 * ----------------------------------------------------------------------------
 */

// @TODO: Do we want to alter the breadcrumbs?
// add_filter( 'genesis_breadcrumb_args', 'theme_prefix_lowercase_underscore_no_spaces_breadcrumb_args' );
/**
 * Modify the breadcrumbs to not show "Archives for" with the post type archives.
 *
 * @param array $args The various array parts of the breadcrumb trail.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_breadcrumb_args( $args ) {
	$args['home']                    = __( 'Home', '${theme-name-lowercase-hyphen-no-spaces}' );
	$args['sep']                     = '<span class="breadcrumb__separator">&nbsp;&gt;&nbsp;</span>';
	$args['list_sep']                = ', '; // Genesis 1.5 and later.
	$args['prefix']                  = '<div class="l-row"><div class="l-col-70-mq-1300-up">
    <div class="breadcrumb p-t-m l-w-l-1">';
	$args['suffix']                  = '</div></div></div>';
	$args['heirarchial_attachments'] = true; // Genesis 1.5 and later.
	$args['heirarchial_categories']  = true; // Genesis 1.5 and later.
	$args['display']                 = true;
	// $args['labels']['prefix']        = '<span class="home-icon"></span>';
	$args['labels']['prefix']    = '';
	$args['labels']['author']    = 'Archives for ';
	$args['labels']['category']  = ''; // Genesis 1.6 and later.
	$args['labels']['tag']       = '';
	$args['labels']['date']      = 'Archives for ';
	$args['labels']['search']    = 'Search for ';
	$args['labels']['tax']       = '';
	$args['labels']['post_type'] = '';
	$args['labels']['404']       = 'Not found: '; // Genesis 1.5 and later.
	return $args;
}
*/

/*
 * genesis_breadcrumb_homelink Default value: $homelink
 * genesis_breadcrumb_bloglink Default value: $bloglink
 */

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS BREADCRUMB SINGLE CRUMB genesis_single_crumb
 *
 * Default value: @todo
 * ----------------------------------------------------------------------------
 */

// @TODO: Do we want to add blog to the single breadcrumbs?
// add_filter( 'genesis_single_crumb', 'theme_prefix_lowercase_underscore_no_spaces_add_blog_crumb', 10, 2 );
/**
 * Add Blog to Breadcrumbs
 *
 * @param string $crumb Original breadcrumb.
 * @param array $args The breadcrumb arguemtns.
 *
 * @return string modified breadcrumb
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_add_blog_crumb( $crumb, $args ) {
	if ( is_singular( 'post' ) ) {
		$crumb = get_the_title();
	}
	if ( is_singular( 'post' ) || is_category() ) {
		return '<a href="' . get_permalink( get_option( 'page_for_posts' ) ) . '">'
		       . get_the_title( get_option( 'page_for_posts' ) ) . '</a> ' . $args['sep'] . ' ' . $crumb;
	} elseif ( is_archive() ) {
		return $crumb;
	} else {
		return $crumb;
	}
}
*/

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS BREADCRUMB ARCHIVE CRUMB genesis_archive_crumb
 *
 * Default value: @TODO
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to add blog to the archive breadcrumbs?
// add_filter( 'genesis_archive_crumb', 'theme_prefix_lowercase_underscore_no_spaces_add_blog_crumb', 10, 2 );
/*
 * genesis_gravatar_sizes Default value: $sizes
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS IMAGE FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS IMAGE FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_get_image_default_args Default value: $defaults
 *  * Supported $args keys are:
 *
 *  - format   - string, default is 'html'
 *  - size     - string, default is 'full'
 *  - num      - integer, default is 0
 *  - attr     - string, default is ''
 *  - fallback - mixed, default is 'first-attached'
 * $defaults = array(
 *	'post_id'  => null,
 *	'format'   => 'html',
 *	'size'     => 'full',
 *	'num'      => 0,
 *	'attr'     => '',
 *	'fallback' => 'first-attached',
 *	'context'  => '',
 * );
 */
// @TODO: Do we want a default fallback image?
// add_filter( 'genesis_get_image_default_args', 'theme_prefix_lowercase_underscore_no_spaces_set_default_feature_image_fallback' );
/**
 * @param $args
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_set_default_feature_image_fallback( $args ) {
	//if ( ! isset( $args['context'] ) || 'archive' !== $args['context'] ) {
	//	return $args;
	//}

	$args['fallback'] = array(
		'html' => '<img src="' . get_stylesheet_directory_uri() . '/img/default-feature.jpg" />',
		'url' => get_stylesheet_directory_uri() . '/img/default-feature.jpg',
		);
	return $args;
}
*/

/*
 * genesis_pre_get_image Default value: false, $args, $post
 */
/* add_filter( 'genesis_pre_get_image', 'default_featured_image_when_not_set', 10, 1 ); */
/**
 * @param $post
 *
 * @return mixed
 */
/*
function default_featured_image_when_not_set( $post ) {

	if ( '' != get_the_post_thumbnail() ) :
		return $post;
	else:
		echo '<img src="' . get_bloginfo( 'stylesheet_directory' ) . '/images/default.png" />';
	endif;
}
*/

/*
 * genesis_get_image Default value: $output, $args, $id, $html, $url, $src
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS MENU FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS MENU FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_nav_default_args Default value: $defaults
 * genesis_pre_nav Default value: false, $args
 * genesis_nav_home_text Default value: __(‘Home’, ‘genesis’), $args
 */

/*
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS NAV ITEMS genesis_nav_items
 *
 * Default value: $menu, $args
 * ----------------------------------------------------------------------------
 */

// @TODO: Do we want to remove the primary navigation right extras?
// Remove output of primary navigation right extras.
// remove_filter( 'genesis_nav_items', 'genesis_nav_right', 10, 2 );
// remove_filter( 'wp_nav_menu_items', 'genesis_nav_right', 10, 2 );
// @TODO: Do we want to append to the primary navigation?
// add_filter( 'genesis_nav_items', 'theme_prefix_lowercase_underscore_no_spaces_append_nav', 10, 2 );
// add_filter( 'wp_nav_menu_items', 'theme_prefix_lowercase_underscore_no_spaces_append_nav', 10, 2 );
/**
 * Add search and phone number after nav.
 *
 * @param string $menu The menu.
 * @param array $args The arguments.
 *
 * @return string
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_append_nav( $menu, $args ) {
	$args = (array) $args;
	// @TODO: Should we be using $args as object and not array?
	//'primary' !== $args->theme_location  genesis_nav_right uses this.
	if ( 'primary' !== $args['theme_location'] ) {
		return $menu;
	}
	$append = '';

	return $menu . $append;
}
*/

/*
 * genesis_nav Default value: $menu, $args
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS SHORTCODE FILTERS">
/**
 * --------------------------------------*\
 *  ###GENESIS HOOKS SHORTCODE FILTERS
 * --------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS FOOTER SHORTCODE FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_footer_backtotop_shortcode Default value: $output, $atts
 * genesis_footer_copyright_shortcode Default value: $output, $atts
 * genesis_footer_childtheme_link_shortcode Default value: $output, $atts
 * genesis_footer_genesis_link_shortcode Default value: $output, $atts
 * genesis_footer_studiopress_link_shortcode Default value: $output, $atts
 * genesis_footer_wordpress_link_shortcode Default value: $output, $atts
 * genesis_footer_loginout_shortcode Default value: $output, $atts
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS POST SHORTCODE FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_post_date_shortcode Default value: $output, $atts
 * genesis_post_time_shortcode Default value: $output, $atts
 * genesis_post_author_link_shortcode Default value: $output, $atts
 * genesis_post_author_shortcode Default value: $output, $atts
 * genesis_post_comments_shortcode Default value: $output, $atts
 * genesis_post_tags_shortcode Default value: $output, $atts
 * genesis_post_categories_shortcode Default value: $output, $atts
 * genesis_post_edit_shortcode Default value: $output, $atts
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS INIT FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS INIT FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_settings_field Default value: genesis-settings
 * genesis_seo_settings_field Default value: genesis-seo-settings
 */

/*
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS FORMATTING ALLOWED TAGS genesis_formatting_allowedtags
 *
 * Default value: array(
    //  <p>, <span>, <div>
    'p' => array( 'align' => array(), 'class' => array(), 'style' => array() ),
    'span' => array( 'align' => array(), 'class' => array(), 'style' => array() ),
    'div' => array( 'align' => array(), 'class' => array(), 'style' => array() ),

    //  <a href="" title="">Text</a>
    'a' => array( 'href' => array(), 'title' => array() ),

    //  <b>, </i>, <em>, <strong>
    'b' => array(), 'strong' => array(),
    'i' => array(), 'em' => array(),

    //  <blockquote>, <br />
    'blockquote' => array(),
    'br' => array()
) );
 * Applied to allowed formatting tags, used by wp_kses().
 * ----------------------------------------------------------------------------
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS OPTION FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ###GENESIS HOOKS OPTION FILTERS
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_pre_get_option_ Default value: $key, false, $setting
 * genesis_options Default value: $settings_cache[$setting], $setting
 * genesis_get_option function Default value: get_option($setting), $setting
 */

// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS SETTINGS">
/**
 * --------------------------------------*\
 *  ###GENESIS HOOKS SETTINGS
 * --------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS SEO SETTINGS FILTER
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_seo_settings_defaults Default value: $defaults
 */

// <editor-fold desc="####GENESIS HOOKS THEME SETTINGS FILTER">
/**
 * ----------------------------------------------------------------------------
 * genesis_superfish_enabled, genesis_settings_sanitizer_init,
 * genesis_theme_settings_metaboxes
 * Default:
 * ----------------------------------------------------------------------------
 */

// @TODO: What do we want to do with superfish and does this code work?
// add_filter( 'genesis_superfish_enabled', '__return_false' );
/**
 * Social Settings
 *
 * This registers the Social settings to the Theme Settings, to be used in the
 * nav bar.
 */

// @TODO: Do we want to add these social settings to the Genesis theme settings?
add_action(
	'genesis_settings_sanitizer_init',
	'theme_prefix_lowercase_underscore_no_spaces_register_social_sanitization_filters'
);

/**
 * Sanitise
 */
function theme_prefix_lowercase_underscore_no_spaces_register_social_sanitization_filters() {
	genesis_add_option_filter( 'no_html',
		GENESIS_SETTINGS_FIELD,
		array(
			'twitter_url',
			'linkedin_url',
			'googleplus_url',
			'vimeo_url',
			'youtube_url',
			'rss_url',
			'facebook_url',
			'slideshare_url',
			'pinterest_url',
			'instagram_url',
		) );
}

add_action(
	'genesis_theme_settings_metaboxes',
	'theme_prefix_lowercase_underscore_no_spaces_register_social_settings_box'
);

/**
 * Register Metabox.
 *
 * @param string $_genesis_theme_settings_pagehook The genesis settings
 *                                                 pagehook.
 */
function theme_prefix_lowercase_underscore_no_spaces_register_social_settings_box( $_genesis_theme_settings_pagehook ) {
	add_meta_box(
		'theme-prefix-lowercase-hyphen-no-spaces-social-settings',
		'Social Links',
		'theme_prefix_lowercase_underscore_no_spaces_social_settings_box',
		$_genesis_theme_settings_pagehook,
		'main',
		'high'
	);
}

/**
 * Create social settings metabox.
 */
function theme_prefix_lowercase_underscore_no_spaces_social_settings_box() {
	?>
	<table class="form-table">
		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[twitter_url]">Twitter</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[twitter_url]"
				       value="<?php echo esc_url( genesis_get_option( 'twitter_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[twitter_url]"/>
				<p><span class="description">Twitter URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[linkedin_url]">LinkedIn</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[linkedin_url]"
				       value="<?php echo esc_url( genesis_get_option( 'linkedin_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[linkedin_url]"/>
				<p><span class="description">Twitter URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[googleplus_url]">Google&plus;</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[googleplus_url]"
				       value="<?php echo esc_url( genesis_get_option( 'googleplus_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[googleplus_url]"/>
				<p><span class="description">Google&plus; URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[vimeo_url]">Vimeo</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[vimeo_url]"
				       value="<?php echo esc_url( genesis_get_option( 'vimeo_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[vimeo_url]"/>
				<p><span class="description">Vimeo URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[youtube_url]">YouTube</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[youtube_url]"
				       value="<?php echo esc_url( genesis_get_option( 'youtube_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[youtube_url]"/>
				<p><span class="description">YouTube URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[rss_url]">RSS</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[rss_url]"
				       value="<?php echo esc_url( genesis_get_option( 'rss_url' ) ); ?>"
				       size="50" title="RSS URL"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[rss_url]"/>
				<p><span class="description">RSS URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[facebook_url]">Facebook</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[facebook_url]"
				       value="<?php echo esc_url( genesis_get_option( 'facebook_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[facebook_url]"/>
				<p><span class="description">Facebook URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[slideshare_url]">Slideshare</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[slideshare_url]"
				       value="<?php echo esc_url( genesis_get_option( 'slideshare_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[slideshare_url]"/>
				<p><span class="description">Slideshare URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[instagram_url]">Instagram</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[instagram_url]"
				       value="<?php echo esc_url( genesis_get_option( 'instagram_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[instagram_url]"/>
				<p><span class="description">Instagram URL</span></p>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label
					for="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[pinterest_url]">Pinterest</label>
			</th>
			<td>
				<input type="text"
				       name="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[pinterest_url]"
				       value="<?php echo esc_url( genesis_get_option( 'pinterest_url' ) ); ?>"
				       size="50"
				       id="<?php echo esc_attr( GENESIS_SETTINGS_FIELD ); ?>[pinterest_url]"/>
				<p><span class="description">Pinterest URL</span></p>
			</td>
		</tr>
	</table>
	<?php
}

// </editor-fold>
// <editor-fold desc="#####GENESIS HOOKS THEME SETTINGS DEFAULTS FILTER">
/**
 * ----------------------------------------------------------------------------
 * genesis_theme_settings_defaults
 * Default: $defaults
 * ----------------------------------------------------------------------------
 */

add_filter( 'genesis_theme_settings_defaults', 'theme_prefix_lowercase_underscore_no_spaces_social_defaults' );
/**
 * Register Social settings Defaults
 *
 * @param array $defaults The default settings.
 *
 * @return array|mixed Modified defaults
 */
function theme_prefix_lowercase_underscore_no_spaces_social_defaults( $defaults ) {

	$defaults['twitter_url']    = '';
	$defaults['linkedin_url']   = '';
	$defaults['googleplus_url'] = '';
	$defaults['vimeo_url']      = '';
	$defaults['youtube_url']    = '';
	$defaults['rss_url']        = '';
	$defaults['facebook_url']   = '';

	return $defaults;
}

// </editor-fold>
// </editor-fold>
// <editor-fold desc="###GENESIS HOOKS MARKUP FILTERS">
// <editor-fold desc="####GENESIS HOOKS CONTEXT ATTRIBUTE FILTERS">
/**
 * ----------------------------------------------------------------------------
 * Merge array of attributes with defaults, and apply contextual filter on array.
 *
 * The contextual filter is of the form `genesis_attr_{context}`.
 *
 * return apply_filters( "genesis_attr_{$context}", $attributes, $context );
 * ----------------------------------------------------------------------------
 */

/*
 * genesis_attr_head
 */

/**
 * ----------------------------------------------------------------------------
 * genesis_attr_body
 * Default:
 * ----------------------------------------------------------------------------
 */
// add_filter( 'genesis_attr_body', 'brewpixel_body_classes' );
/**
 * The Header ID.
 *
 * @param array $attributes Body element attributes.
 *
 * @return mixed
 */
/*
function brewpixel_body_classes( $attributes ) {
	$attributes['class'] .= ' s-nav-primary-alt';

	return $attributes;
}
*/

// <editor-fold desc="#####GENESIS HOOKS ATTR SITE HEADER">
/**
 * ----------------------------------------------------------------------------
 * genesis_attr_site-header
 * Default:
 * ----------------------------------------------------------------------------
 */

// @TODO: Do we want to add an html id to the site header?
// add_filter( 'genesis_attr_site-header', 'theme_prefix_lowercase_underscore_no_spaces_header_id' );
/**
 * The Header ID.
 *
 * @param array $attributes Header ID.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_header_id( $attributes ) {

	$attributes['id'] = 'site-header';

	return $attributes;
}
*/

// </editor-fold>
// <editor-fold desc="#####GENESIS HOOKS ATTR SEARCH FORM">
/**
 * ----------------------------------------------------------------------------
 * genesis_attr_search-form
 * Default:
 * ----------------------------------------------------------------------------
 */

// @TODO: Do we want to add classes to the search form and if so which ones?
// add_filter( 'genesis_attr_search-form', 'theme_prefix_lowercase_underscore_no_spaces_search_class' );
/**
 * The search form class.
 *
 * @param array $attributes search form class.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_search_class( $attributes ) {
	$attributes['class'] .= ' search-expandable search-expandable--2 search-expandable--genesis';

	return $attributes;
}
*/

/**
 * ----------------------------------------------------------------------------
 * genesis_search_button_text
 * Default:
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to customise the search form input button text?
// add_filter( 'genesis_search_button_text', 'theme_prefix_lowercase_underscore_no_spaces_search_button_text' );
/**
 * Customize search form input button text.
 *
 * @param string $text The submit button text.
 *
 * @return string|void
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_search_button_text( $text ) {
	return esc_attr( 'Go' );
}
*/
// </editor-fold>
/*
 * genesis_attr_site-title
 * genesis_attr_site-description
 * genesis_attr_header-widget-area
 * genesis_attr_breadcrumb
 * genesis_attr_breadcrumb-link-wrap
 * genesis_attr_search-form
 * genesis_attr_nav-primary
 */

/*
 * ----------------------------------------------------------------------------
 * #####GENESIS HOOKS ATTR NAV SECONDARY genesis_attr_nav-secondary
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to add classes to the secondary nav and if so which ones?
//add_filter( 'genesis_attr_nav-secondary', 'theme_prefix_lowercase_underscore_no_spaces_nav_secondary_attr' );
/**
 * The secondary nav attributes such as class names.
 *
 * @param array $attributes The secondary nav attributes such as class names.
 *
 * @return mixed
 */

function theme_prefix_lowercase_underscore_no_spaces_nav_secondary_attr( $attributes ) {
	$attributes['class'] .= ' s-nav-grid-mq-600-up';

	return $attributes;
}

/*
 * genesis_attr_nav-header
 * genesis_attr_nav-link-wrap
 * genesis_attr_nav-link
 */

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS ATTR NAV FOOTER genesis_attr_nav-footer
 * ----------------------------------------------------------------------------
 */

// @TODO: Remove this if there is no footer navigation.
// Adds schema markup attributes for Footer Navigation.
add_filter( 'genesis_attr_nav-footer', 'genesis_attributes_nav' );


// <editor-fold desc="#####GENESIS HOOKS ATTR STRUCTURAL WRAP">
/**
 * ----------------------------------------------------------------------------
 * genesis_attr_structural-wrap
 * Default:
 * ----------------------------------------------------------------------------
 */

// @TODO: Add or replace structural wrap classes.
// add_filter( 'genesis_attr_structural-wrap', 'theme_prefix_lowercase_underscore_no_spaces_attributes_structural_wrap_nav' );
/**
 * Add attributes for structural wrap nav element.
 *
 * @param array $attributes Existing attributes.
 *
 * @return array Amended attributes.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_attributes_structural_wrap_nav( $attributes ) {

	$attributes['class'] = 'wrap';

	return $attributes;

}
*/
// </editor-fold>
/*
 * genesis_attr_content
 */

// @TODO: Do we want to add any attributes to the main element such as the class main and/or tabindex?
// add_filter( 'genesis_attr_content', 'theme_prefix_lowercase_underscore_no_spaces_attributes_content' );
/**
 * Add attributes for main content element.
 *
 * Design/CSS reasons for adding the main class to the main element.
 * Tabindex at -1 locks the tab focus here when using 'Skip to Content'.
 *
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 *
 * @param array $attributes Existing attributes.
 *
 * @return array Amended attributes.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_attributes_content( $attributes ) {

	$attributes['class']   .= ' main';
    $attributes['tabindex'] = '-1';

	return $attributes;

}
*/

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS ATTR ARCHIVE TITLE genesis_attr_archive-title
 *
 * Default: class="archive-title"
 * ----------------------------------------------------------------------------
 */
// @TODO: What classes do we want to add to archive titles and is this different for different templates?
// add_filter( 'parse_query', 'theme_prefix_lowercase_underscore_no_spaces_blog_title_screen_reader_only' );
/**
 * Add screen reader class to archive title on blog home page.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_blog_title_screen_reader_only() {
	if ( is_home() ) {
		add_filter( 'genesis_attr_archive-title', 'genesis_attributes_screen_reader_class' );
	} else {
		add_filter( 'genesis_attr_archive-title', 'theme_prefix_lowercase_underscore_no_spaces_attributes_entry_title_classes' );
	}
}
*/

/**
 * Add classes to entry title.
 *
 * @param array $attributes Existing attributes.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_attributes_entry_title_classes( $attributes ) {
	$attributes['class'] .= ' entry-title';

	return $attributes;
}
*/

/*
 * genesis_attr_taxonomy-archive-description
 * genesis_attr_author-archive-description
 * genesis_attr_cpt-archive-description
 * genesis_attr_date-archive-description
 * genesis_attr_blog-template-description
 * genesis_attr_posts-page-description
 * genesis_attr_entry
 */

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS ATTR ENTRY HEADER genesis_attr_entry-header
 *
 * Default: class="entry-header"
 * ----------------------------------------------------------------------------
 */

//add_filter( 'genesis_attr_entry-header', 'theme_prefix_lowercase_underscore_no_spaces_attributes_entry_header' );
/**
 * Add attributes for main content element.
 *
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 *
 * @param array $attributes Existing attributes.
 *
 * @return array Amended attributes.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_attributes_entry_header( $attributes ) {
	$attributes['class'] .= ' main';

	return $attributes;
}

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS ATTR ENTRY IMAGE genesis_attr_entry-image
 *
 * Default: class="entry-image"
 * ----------------------------------------------------------------------------
 */
// @TODO: What classes do we want to add to entry images?
//add_filter( 'genesis_attr_entry-image', 'theme_prefix_lowercase_underscore_no_spaces_genesis_featured_image_classes' );
/**
 * Modify the Featured Image CSS Classes
 *
 * @param array $attributes Existing attributes.
 *
 * @return array $attributes
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_genesis_featured_image_classes( $attributes ) {
	$attributes['class'] .= ' custom-class';
	return $attributes;
}
*/

/*
 * genesis_attr_entry-image-widget
 * genesis_attr_entry-image-grid-loop
 * genesis_attr_entry-author
 * genesis_attr_entry-author-link
 * genesis_attr_entry-author-name
 * genesis_attr_entry-time
 * genesis_attr_entry-modified-time
 */

// @TODO: What classes do we want to add to entry titles?
// add_filter( 'genesis_attr_entry-title', 'theme_prefix_lowercase_underscore_no_spaces_attr_entry_title' );
/**
 * Attributes for the entry content element.
 *
 * @param array $attributes Array of attributes for the entry content element.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_attr_entry_title( $attributes ) {
	if ( is_front_page() ) {
		$attributes['class'] .= ' screen-reader-text';

		return $attributes;
	}

	return $attributes;
}
*/

// @TODO: What classes do we want to add to the entry content element and is this different for different templates?
// add_filter( 'genesis_attr_entry-content', 'theme_prefix_lowercase_underscore_no_spaces_attr_entry_content' );
/**
 * Attributes for the entry content element.
 *
 * @param array $attributes Array of attributes for the entry content element.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_attr_entry_content( $attributes ) {
	if ( is_front_page() ) {
		$attributes['class'] .= ' l-w-mx-n l-w-mx-n-all p-b-n d-text-size-s';

		return $attributes;
	}

	return $attributes;
}
*/

/*
 * genesis_attr_entry-meta-before-content
 * genesis_attr_entry-meta-after-content
 * genesis_attr_archive-pagination
 * genesis_attr_entry-pagination
 * genesis_attr_adjacent-entry-pagination
 * genesis_attr_comments-pagination
 * genesis_attr_entry-comments
 * genesis_attr_comment
 * genesis_attr_comment-author
 * genesis_attr_comment-author-link
 * genesis_attr_comment-time
 * genesis_attr_comment-time-link
 * genesis_attr_comment-content
 * genesis_attr_author-box
 * genesis_attr_sidebar-primary
 * genesis_attr_sidebar-secondary
 * genesis_attr_site-footer
 */

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS ATTR NAV PRIMARY genesis_attr_nav-primary
 * ----------------------------------------------------------------------------
 */

// @TODO: What classes do we want to add to the primary nav element?
// add_filter( 'genesis_attr_nav-primary', 'theme_prefix_lowercase_underscore_no_spaces_add_nav_primary_classes' );
/**
 * Attributes for the primary nav element.
 *
 * @param array $attributes Array of attributes for nav container.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_add_nav_primary_classes( $attributes ) {
	$attributes['class'] .= ' classes here';

	return $attributes;
}
*/

// @TODO: How do you "Add skip link needs to secondary nav."?
/*
 * genesis_attr_content
 */

/*
 * ----------------------------------------------------------------------------
 *  #####GENESIS HOOKS ATTR SIDEBAR PRIMARY genesis_attr_sidebar-primary
 * ----------------------------------------------------------------------------
 */
// @TODO: What classes do we want to add to the primary sidebar element?
// add_filter( 'genesis_attr_sidebar-primary', 'theme_prefix_lowercase_underscore_no_spaces_add_sidebar_primary_classes' );
/**
 * Filter the primary sidebar attributes to add html classes.
 *
 * @param array $attributes The primary sidebar attributes.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_add_sidebar_primary_classes( $attributes ) {
	$attributes['class'] .= ' l-w-l-3 bp-sidebar';

	return $attributes;
}
*/

/*
 * genesis_attr_sidebar-secondary
 * genesis_attr_footer-widgets
 */

// </editor-fold>
// <editor-fold desc="####GENESIS HOOKS CONTEXT ATTRIBUTE OUTPUT FILTERS">
/**
 * -----------------------------------------------------------------------------
 * ####GENESIS HOOKS CONTEXT ATTRIBUTE OUTPUT FILTERS
 *
 * Build list of attributes into a string and apply contextual filter on string.
 *
 * The contextual filter is of the form `genesis_attr_{context}_output`.
 *
 * $output = apply_filters( "genesis_attr_{$context}_output", $output, $attributes, $context );
 * -----------------------------------------------------------------------------
 */

/*
 * genesis_attr_head_output
 * genesis_attr_body_output
 * genesis_attr_site-header_output
 * genesis_attr_site-title_output
 * genesis_attr_site-description_output
 * genesis_attr_header-widget-area_output
 * genesis_attr_breadcrumb_output
 * genesis_attr_breadcrumb-link-wrap_output
 * genesis_attr_search-form_output
 * genesis_attr_nav-primary_output
 * genesis_attr_nav-secondary_output
 * genesis_attr_nav-header_output
 * genesis_attr_nav-link-wrap_output
 * genesis_attr_nav-link_output
 * genesis_attr_structural-wrap_output
 * genesis_attr_content_output
 * genesis_attr_taxonomy-archive-description_output
 * genesis_attr_author-archive-description_output
 * genesis_attr_cpt-archive-description_output
 * genesis_attr_date-archive-description_output
 * genesis_attr_blog-template-description_output
 * genesis_attr_posts-page-description_output
 * genesis_attr_entry_output
 * genesis_attr_entry-image_output
 * genesis_attr_entry-image-widget_output
 * genesis_attr_entry-image-grid-loop_output
 * genesis_attr_entry-author_output
 * genesis_attr_entry-author-link_output
 * genesis_attr_entry-author-name_output
 * genesis_attr_entry-time_output
 * genesis_attr_entry-modified-time_output
 * genesis_attr_entry-title_output
 * genesis_attr_entry-content_output
 * genesis_attr_entry-meta-before-content_output
 * genesis_attr_entry-meta-after-content_output
 * genesis_attr_archive-pagination_output
 * genesis_attr_entry-pagination_output
 * genesis_attr_adjacent-entry-pagination_output
 * genesis_attr_comments-pagination_output
 * genesis_attr_entry-comments_output
 * genesis_attr_comment_output
 * genesis_attr_comment-author_output
 * genesis_attr_comment-author-link_output
 * genesis_attr_comment-time_output
 * genesis_attr_comment-time-link_output
 * genesis_attr_comment-content_output
 * genesis_attr_author-box_output
 * genesis_attr_sidebar-primary_output
 * genesis_attr_sidebar-secondary_output
 * genesis_attr_site-footer_output
 * genesis_attr_nav-primary_output
 * genesis_attr_content_output
 * genesis_attr_sidebar-primary_output
 * genesis_attr_sidebar-secondary_output
 * genesis_attr_footer-widgets_output
 */

// </editor-fold>
// <editor-fold desc="####GENESIS HOOKS STRUCTURAL WRAP HEADER">
/**
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS STRUCTURAL WRAP HEADER genesis_structural_wrap-header
 * ----------------------------------------------------------------------------
 */

// @TODO: Do we need to modify the structural wrap header? Be careful with this.
// add_filter( 'genesis_structural_wrap-header', 'theme_prefix_lowercase_underscore_no_spaces_modify_wrap_open_header', 10, 2 );
/**
 * Modify the structural wrap header.
 *
 * @TODO: How can we more precisely modify the header nav? More surgical precision.
 *
 * @param string $output The actual output string.
 * @param string $original_output Usually open or close.
 *
 * @return string
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_modify_wrap_open_header( $output, $original_output ) {
	if ( 'open' === $original_output ) {
		//$output = str_replace( 'wrap', 'wrap s-nav-grid-mq-600-up u-center-horizontal u-layout-row', $output );
	}

	return $output;
}
*/

// add_filter( 'genesis_structural_wrap-header', 'theme_prefix_lowercase_underscore_no_spaces_modify_wrap_close_header', 10, 2 );
/**
 * Modify the structural wrap header HTML.
 *
 * @TODO: How can we more precisely modify the structural wrap header nav?
 *
 * @param string $output The HTML output.
 * @param string $original_output This is usually 'close' or 'open'.
 *
 * @return string
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_modify_wrap_close_header( $output, $original_output ) {
	if ( 'close' === $original_output ) {
		echo '</div></div>';
		theme_prefix_lowercase_underscore_no_spaces_nav_ctas();
		genesis_widget_area( 'social', array(
			'before' => '<div class="l-grid-flex__item l-sticky-footer-2-wrapper l-w-l-2">
						<div class="l-sticky-footer-2-wrapper__main-content social-icons">',
			'after'  => '</div></div>',
		) );
			$output .= '</div>
		<label for="nav-sidebar__checkbox" class="nav-sidebar__overlay w-2"></label>
		<div class="nav-sidebar__header">
			<div style="width:100%;">
				<!-- Hide from screen readers because it’s below the actual menu -->
				<label aria-hidden="true" for="nav-sidebar__checkbox" class="nav-sidebar__button l-w-l-1 p-b-m p-t-m">
					<span class="d-color-4">' . __( 'Menu', "${theme-name-lowercase-hyphen-no-spaces}" ) . '</span>
				</label>
				<div class="l-grid-flex__item">
					<a href="' . home_url() . '">
						<!-- Logo -->
						<img src="' . get_stylesheet_directory_uri() . '/images/logo.svg" alt="${Client Name} logo" class="logo">
						<img src="' . get_stylesheet_directory_uri() . '/images/logo-no-height-width.svg" alt="${Client Name} logo" class="logo logo--ie" style="display:none;">
					</a>
				</div>
			</div>
		</div>
	</div>';
		$phone = esc_attr( get_option( 'theme_prefix_lowercase_underscore_no_spaces_phone' ) );
		if ( function_exists( 'format_phone_number' ) && function_exists( 'intl_to_local_phone_conversion' ) ) {
			$formattedphone = format_phone_number( intl_to_local_phone_conversion( $phone ) );
		} else {
			$formattedphone = $phone;
		}
	}

	return $output;
}
*/

// </editor-fold>
// @TODO: What classes do we want to add to the site-inner wrap element?
// add_filter( 'genesis_attr_site-inner', 'theme_prefix_lowercase_underscore_no_spaces_modify_site_inner', 10, 3 );
/**
 * Modify the attributes of the site-inner wrap.
 *
 * @param array $attributes The array of attributes like the class.
 *
 * @return string
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_modify_site_inner( $attributes ) {
	$attributes['class'] .= ' nav-sidebar-main-column';

	return $attributes;
}
*/

// <editor-fold desc="####GENESIS HOOKS STRUCTURAL WRAP NAV">
/**
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS STRUCTURAL WRAP NAV genesis_structural_wrap-nav
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to modify the nav structural wrap? Which filter is correct nav or menu-primary?
// add_filter( 'genesis_structural_wrap-nav', 'theme_prefix_lowercase_underscore_no_spaces_modify_wrap_open_nav', 10, 2 );
// add_filter( 'genesis_structural_wrap-menu-primary', 'theme_prefix_lowercase_underscore_no_spaces_modify_wrap_open_nav', 10, 2 );
/**
 * Modify the structural wrap nav HTML.
 *
 * @param string $output The HTML output.
 * @param string $original_output This is usually 'close' or 'open'.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_modify_wrap_open_nav( $output, $original_output ) {

	if ( 'open' === $original_output ) {
		// @TODO: Replace with real do_action hook.
		//echo 'BUTTON HOOK 1';
		/*
		echo'<button class="c-nav-mobile-button u-js-only">
			<div class="c-nav-icon">Menu <span class="o-svg-wrapper"><svg aria-labelledby="title-primary-nav-menu" role="img" class="c-bp-icon c-bp-icon--menu"><title id="title-primary-nav-menu">Menu button</title><use xlink:href="'.get_stylesheet_directory_uri() . '/svg-icons/symbol-defs.svg#c-bp-icon--menu"></use></svg></span></div>
			<div class="c-nav-icon-closed">Close <span class="o-svg-wrapper"><svg aria-labelledby="title-close-primary-nav" role="img" class="c-bp-icon c-bp-icon--cross"><title id="title-close-primary-nav">Close the  nav</title><use xlink:href="'.get_stylesheet_directory_uri() . '/svg-icons/symbol-defs.svg#c-bp-icon--cross"></use></svg></span></div>
		</button>';
		*/
/*
return $output;
}

return $output;
}
*/

// add_filter( 'genesis_structural_wrap-nav', 'theme_prefix_lowercase_underscore_no_spaces_modify_wrap_close_nav', 10, 2 );
/**
 * Modify the structural wrap nav HTML.
 *
 * @param string $output The HTML output.
 * @param string $original_output This is usually 'close' or 'open'.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_modify_wrap_close_nav( $output, $original_output ) {
	if ( 'close' === $original_output ) {
		return $output;
	}

	return $output;
}
*/

// </editor-fold>
// <editor-fold desc="####GENESIS HOOKS STRUCTURAL WRAP HEADER">
/**
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS STRUCTURAL WRAP HEADER genesis_structural_wrap-header
 * ----------------------------------------------------------------------------
 */

// </editor-fold>
// <editor-fold desc="####GENESIS HOOKS STRUCTURAL WRAP FOOTER">
/**
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS STRUCTURAL WRAP FOOTER genesis_structural_wrap-footer
 * ----------------------------------------------------------------------------
 */
// @TODO: Do we want to modify the footer structural wrap?
// add_filter( 'genesis_structural_wrap-footer', 'theme_prefix_lowercase_underscore_no_spaces_filter_footer_widgets_structural_wrap', 10, 2 );
/**
 * Filter the footer-widgets context of the genesis_structural_wrap to add a div before the closing wrap div.
 *
 * @param string $output The markup to be returned.
 * @param string $original_output Set to either 'open' or 'close'.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_filter_footer_widgets_structural_wrap( $output, $original_output ) {
	return $output;
}
*/

// </editor-fold>
// <editor-fold desc="####GENESIS HOOKS SKIP LINKS OUTPUT">
/**
 * ----------------------------------------------------------------------------
 *  ####GENESIS HOOKS SKIP LINKS OUTPUT genesis_skip_links_output
 * ----------------------------------------------------------------------------
 */

// @TODO: What do we want to do with the skip links (add/remove)?
// add_filter( 'genesis_skip_links_output', 'theme_prefix_lowercase_underscore_no_spaces_skip_links_output' );
/**
 * Remove skip link for primary navigation and add skip link for footer widgets.
 *
 * @param array $links Skip links.
 *
 * @return array
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_skip_links_output( $links ) {

	if ( isset( $links['genesis-nav-primary'] ) ) {
		unset( $links['genesis-nav-primary'] );
	}

	$new_links = $links;
	array_splice( $new_links, 3 );

	if ( is_active_sidebar( 'flex-footer' ) ) {
		$new_links['footer'] = __( 'Skip to footer', '${theme-name-lowercase-hyphen-no-spaces}' );
	}

	return array_merge( $new_links, $links );

}
*/

// </editor-fold>
// </editor-fold>
// </editor-fold>
/*
 * -----------------------------------------------------------------------------
 * ###GENESIS PLUGGABLE FUNCTIONS
 * -----------------------------------------------------------------------------
 */

/*
 * --------------------------------------*\
 *  ##GENESIS WIDGETS
 * --------------------------------------
 */

// @TODO: What widget areas do we want to register?
// Register widget areas.
/*
genesis_register_sidebar( array(
	'id'           => 'home-featured-first',
	'name'         => __( 'Home Featured 1', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'description'  => __( 'This is the first featured widget area of the home page.', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'before_title' => '<div class=""><h2 class="">',
	'after_title'  => '</h2></div>',
) );

genesis_register_sidebar( array(
	'id'           => 'home-featured-second',
	'name'         => __( 'Home Featured 2', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'description'  => __( 'This is the second featured widget area of the home page.', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'before_title' => '<div class="l-w--l p-b-m-imp entry-content p-b-n"><h2 class="bp-home-double-column-section__heading">',
	'after_title'  => '</h2></div>',
) );

genesis_register_sidebar( array(
	'id'          => 'search-header',
	'name'        => __( 'Search', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'description' => __( 'This is for the search widget. Widgets in this section will display near the navigation at the
    top of pages.', '${theme-name-lowercase-hyphen-no-spaces}' ),
) );

genesis_register_sidebar( array(
	'id'          => 'social',
	'name'        => __( 'Social', '${theme-name-lowercase-hyphen-no-spaces}' ),
	'description' => __( 'This is for social icons. Widgets in this section will display near the navigation at the
    bottom of pages.', '${theme-name-lowercase-hyphen-no-spaces}' ),
) );
*/

// @TODO: Sort where to put this:
// Remove Genesis in-post SEO Settings.
// remove_action( 'admin_menu', 'genesis_add_inpost_seo_box' );
// @TODO: Do we want to remove any Genesis widgets?
// Unregister Genesis widgets.
/*
add_action( 'widgets_init', 'unregister_genesis_widgets', 20 );
function unregister_genesis_widgets() {
	unregister_widget( 'Genesis_eNews_Updates' );
	unregister_widget( 'Genesis_Featured_Page' );
	unregister_widget( 'Genesis_Featured_Post' );
	unregister_widget( 'Genesis_Latest_Tweets_Widget' );
	unregister_widget( 'Genesis_Menu_Pages_Widget' );
	unregister_widget( 'Genesis_User_Profile_Widget' );
	unregister_widget( 'Genesis_Widget_Menu_Categories' );
}
*/

// Customize the next page link in the entry navigation.
/*
add_filter ( 'genesis_next_link_text' , 'theme_prefix_lowercase_underscore_no_spaces_next_page_link' );
function theme_prefix_lowercase_underscore_no_spaces_next_page_link ( $text ) {
	return 'Next Page &raquo;';
}
*/
// Customize the previous page link in the entry navigation.
/*
add_filter ( 'genesis_prev_link_text' , 'theme_prefix_lowercase_underscore_no_spaces_previous_page_link' );
function theme_prefix_lowercase_underscore_no_spaces_previous_page_link ( $text ) {

	return '&laquo; Previous Page';

}
*/

/**
 * END GENESIS
 */

// @TODO: Do we want to use this function to show page image?
/**
 * [theme_prefix_lowercase_underscore_no_spaces_do_page_image description]
 *
 * @todo: Finish describing this function.
 * @return [type] [description]
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_do_page_image() {
	$img = genesis_get_image( array(
		'format'  => 'html',
		'size'    => genesis_get_option( 'image_size' ),
		'context' => 'page',
		'attr'    => genesis_parse_attr( 'entry-image', array( 'alt' => get_the_title() ) ),
	) );

	if ( ! empty( $img ) ) {

		genesis_markup( array(
			'html5'   => '<a %s>',
			'xhtml'   => '<a href="' . get_permalink() . '" class="entry-image-link" aria-hidden="true">',
			'context' => 'entry-image-link'
		) );

		echo $img . '</a>';

	}
}
*/

// @TODO: Keep if add_theme_support( 'genesis-structural-wraps' ) contains theme-prefix-lowercase-hyphen-no-spaces-generic-structural-wrap.
/**
 * Open generic structural wrap.
 */
function theme_prefix_lowercase_underscore_no_spaces_open_generic_structural_wrap() {
	genesis_markup( array(
		'html5'   => '<div %s>',
		'xhtml'   => '<div id="bp-generic-structural-wrap">',
		'context' => 'theme-prefix-lowercase-hyphen-no-spaces-generic-structural-wrap',
	) );
	genesis_structural_wrap( 'theme-prefix-lowercase-hyphen-no-spaces-generic-structural-wrap' );
}

// @TODO: Keep if add_theme_support( 'genesis-structural-wraps' ) contains theme-prefix-lowercase-hyphen-no-spaces-generic-structural-wrap.
/**
 * Close generic structural wrap.
 */
function theme_prefix_lowercase_underscore_no_spaces_close_generic_structural_wrap() {
	genesis_structural_wrap( 'theme-prefix-lowercase-hyphen-no-spaces-generic-structural-wrap', 'close' );
}

// @TODO: Keep if add_theme_support( 'genesis-structural-wraps' ) contains theme-prefix-lowercase-hyphen-no-spaces-flex-grid-structural-wrap.
/**
 * Open flex grid structural wrap.
 */
function theme_prefix_lowercase_underscore_no_spaces_open_flex_grid_structural_wrap() {
	genesis_markup( array(
		'html5'   => '<div %s>',
		'xhtml'   => '<div id="bp-flex-grid-structural-wrap">',
		'context' => 'theme-prefix-lowercase-hyphen-no-spaces-flex-grid-structural-wrap',
	) );
	genesis_structural_wrap( 'theme-prefix-lowercase-hyphen-no-spaces-flex-grid-structural-wrap' );
}

// @TODO: Keep if add_theme_support( 'genesis-structural-wraps' ) contains theme-prefix-lowercase-hyphen-no-spaces-flex-grid-structural-wrap.
/**
 * Close flex grid structural wrap.
 */
function theme_prefix_lowercase_underscore_no_spaces_close_flex_grid_structural_wrap() {
	genesis_structural_wrap( 'theme-prefix-lowercase-hyphen-no-spaces-flex-grid-structural-wrap', 'close' );
}

add_filter( 'theme_page_templates', 'theme_prefix_lowercase_underscore_no_spaces_remove_genesis_page_templates' );
/**
 * Remove genesis page template(s).
 * Example templates: page_archive.php, page_blog.php etc.
 *
 * @param array $page_templates The array of page templates.
 *
 * @return mixed
 */
function theme_prefix_lowercase_underscore_no_spaces_remove_genesis_page_templates( $page_templates ) {
	unset( $page_templates['page_blog.php'] );

	return $page_templates;
}

/*
 * END GENESIS CHILD THEME BOILERPLATE
 */

// </editor-fold>
/**
 * -----------------------------------------------------------------------------
 *  #THEME
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 *  ##THEME CUSTOMIZER
 * -----------------------------------------------------------------------------
 */

add_action( 'customize_register', 'theme_prefix_lowercase_underscore_no_spaces_customizer', 16 );
/**
 * WordPress Theme customizer.
 *
 * Add, remove or modify WordPress Theme Customizer options.
 *
 * @param WP_Customize_Manager $wp_customize An instance of WP_Customize_Manager object.
 */
function theme_prefix_lowercase_underscore_no_spaces_customizer( $wp_customize ) {

	// Add Theme Customizer functionality.
	/* @noinspection PhpIncludeInspection */
	require_once get_stylesheet_directory() . '/inc/customizer.php';

	// Include Customizer CSS.
	/* @noinspection PhpIncludeInspection */
	include_once get_stylesheet_directory() . '/inc/output.php';

	// @TODO: What customizer sections do we want to remove?
	// Remove unused sections from Genesis Customizer.
	// $wp_customize->remove_control( 'genesis_image_alignment' );
}

/*
 * -----------------------------------------------------------------------------
 *  ##THEME WORDPRESS VERSION
 * -----------------------------------------------------------------------------
 */
/**
 * ${Theme Name} only works in WordPress ${minimum_wordpress_version} or later.
 */
if ( version_compare( $GLOBALS['wp_version'], '${minimum_wordpress_version}', '<' ) ) {
	/* @noinspection PhpIncludeInspection */
	require get_template_directory() . '/inc/back-compat.php';
}

add_filter( 'the_generator', 'version_removal' );
/**
 * Remove the WordPress generator version.
 *
 * @return string
 */
function version_removal() {
	return '';
}

/*
 * -----------------------------------------------------------------------------
 *  ##THEME SETUP after_setup_theme
 * -----------------------------------------------------------------------------
 */

/**
 * ${Theme Name} setup.
 *
 * Set up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support post thumbnails.
 *
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 */
function theme_prefix_lowercase_underscore_no_spaces_setup() {
	/*
	 * Make ${Theme Name} available for translation.
	 *
	 * Translations can be added to the /languages/ directory.
	 *
	 */

	// Set Localization (do not remove).
	load_child_theme_textdomain(
		'${theme-name-lowercase-hyphen-no-spaces}',
		apply_filters( 'child_theme_textdomain', get_stylesheet_directory() . '/languages', '${theme-name-lowercase-hyphen-no-spaces}' )
	);

	/*
	 * -----------------------------------------------------------------------------
	 *  ###THEME SUPPORTS
	 * -----------------------------------------------------------------------------
	 */

	// @TODO: Are we using the woocommerce plugin?
	//add_theme_support( 'woocommerce' );

	// Add support for custom logo.
	add_theme_support( 'custom-logo', array( 'size' => 'logo' ) );

	// Optional: =MG.
	// Add support for custom background.
	add_theme_support( 'custom-background' );

	// @TODO Optional: =MG.
	/**
	 * Add support for custom background.
	 * add_theme_support( 'custom-background', array(
	 *    'default-attachment' => 'fixed',
	 *    'default-color'      => 'ffffff',
	 *    'default-image'      => get_stylesheet_directory_uri() . '/images/bg.png',
	 *    'default-repeat'     => 'repeat',
	 *    'default-position-x' => 'left',
	 * ) );
	 */

	// Add RSS feed links to <head> for posts and comments.
	add_theme_support( 'automatic-feed-links' );

	// Enable support for Page and Post Thumbnails.
	// Or only for certain post types:
	// add_theme_support( 'post-thumbnails', array( 'post' ) );
	// add_theme_support( 'post-thumbnails', array( 'page' ) );
	// @TODO: Since thumbnails need to be set when registering custom post type
	// @TODOcont. does adding them here make any sense?
	// add_theme_support( 'post-thumbnails', array( 'bp-gallery', 'bp-news' ) );
	add_theme_support( 'post-thumbnails' );

	// Add Excerpt support to Pages.
	add_post_type_support( 'page', 'excerpt' );

	/**
	 * -----------------------------------------------------------------------------
	 *  ###THEME IMAGES
	 * -----------------------------------------------------------------------------
	 */

	// @TODO: What are the standard thumbnail image dimensions? Crop false or true?
	set_post_thumbnail_size( 150, 150, false );

	// Add new image sizes.
	add_image_size( 'featured-page@1x', 1500, 9999, true );
	add_image_size( 'featured-page@2x', 3000, 9999, true );
	add_image_size( 'featured-page@3x', 4500, 9999, true );
	add_image_size( 'blog-archive@1x', 400, 220, true );
	add_image_size( 'blog-archive@2x', 800, 440, true );
	add_image_size( 'blog-archive@3x', 1200, 660, true );

	/*
	 * @TODO: Any other image dimensions?
	add_image_size( 'blog-single@1x', 940, 470, true );
	add_image_size( 'blog-single@2x', 1880, 940, true );
	add_image_size( 'blog-single@3x', 2820, 1410, true );
	add_image_size( 'client-partner-archive@1x', 250, 250 );
	add_image_size( 'client-partner-archive@2x', 500, 500 );
	add_image_size( 'client-partner-archive@3x', 750, 750 );
	add_image_size( 'team-archive@1x', 266, 130, true );
	add_image_size( 'team-archive@2x', 532, 260, true );
	add_image_size( 'team-archive@3x', 798, 390, true );
	add_image_size( 'micro-thumbnail@1x', 85, 85, true );
	add_image_size( 'micro-thumbnail@2x', 170, 170, true );
	add_image_size( 'micro-thumbnail@3x', 255, 255, true );
	add_image_size( 'admin-micro-thumbnail@1x', 150, 75, false );
	add_image_size( 'logo', 150, 75, false );
	*/

	// This theme uses wp_nav_menu().
	/**
	 * Register nav menus.
	 *
	 * <code>
	 * register_nav_menus( array(
	 *    'header' => __( 'Header menu', '${theme-name-lowercase-hyphen-no-spaces}' ),
	 *    'footer' => __( 'Footer menu', '${theme-name-lowercase-hyphen-no-spaces}' ),
	 *    'extra'  => __( 'Extra menu', '${theme-name-lowercase-hyphen-no-spaces}' ),
	 * ) );
	 * </code>
	 */

	/*
	 * Enable support for Post Formats.
	 * See http://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats',
		array(
			'aside',
			'image',
			'video',
			'audio',
			'quote',
			'link',
			'gallery',
			'status',
			'chat',
		)
	);

	// Add post format images.
	// add_theme_support( 'genesis-post-format-images' );
	/*
	// This theme allows users to set a custom background.
	// add_theme_support( 'custom-background', apply_filters(
	// 'theme_prefix_lowercase_underscore_no_spaces_custom_background_args', array(
	// 'default-color' => 'f5f5f5',
	// ) ) );
	// Add support for featured content.
	// add_theme_support( 'featured-content', array(
	// 'featured_content_filter' => 'theme_prefix_lowercase_underscore_no_spaces_get_featured_posts',
	// 'max_posts' => 6,
	// ) );
	// This theme uses its own gallery styles.
	// add_filter( 'use_default_gallery_style', '__return_false' );
	*/
}

add_action( 'after_setup_theme', 'theme_prefix_lowercase_underscore_no_spaces_setup' );

/*
 * -----------------------------------------------------------------------------
 *  #CORE
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 *  ##CORE HOOKS
 * -----------------------------------------------------------------------------
 */
add_filter( 'wp_nav_menu_args', 'theme_prefix_lowercase_underscore_no_spaces_secondary_menu_args' );
/**
 * Reduce the secondary navigation menu to one level depth.
 * This function limits the menu depth of the secondary menu to only the first
 * depth. This allows it to not list and sub-navigation menus.
 *
 * @param array $args Menu arguments.
 *
 * @return mixed
 */
function theme_prefix_lowercase_underscore_no_spaces_secondary_menu_args( $args ) {

	if ( 'secondary' !== $args['theme_location'] ) {
		return $args;
	}

	$args['depth'] = 1;

	return $args;

}

/*
 * -----------------------------------------------------------------------------
 *  ###CORE HOOKS HEAD wp_head
 * -----------------------------------------------------------------------------
 */
/**
 * Fav icon size and type helper function.
 *
 * @param string $size The size of the favicon.
 * @param string $type The type of favicon.
 *
 * @return string
 */
function fav_icon( $size, $type ) {
	$home_url = home_url();
	return "${home_url}/${type}-${size}x${size}.png";
}

/**
 * Add to head of each page.
 */
function meta_head() {

	$template_url  = esc_url( get_bloginfo( 'template_url' ) );
	$web_app_title = esc_attr( get_bloginfo( 'name' ) );
	$fav_icon = 'fav_icon';

	echo // WPCS: XSS OK.
	<<<EOF
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <!-- Web App Title. 8-12 characters (Max. 12 chars. including spaces). -->
    <meta name="apple-mobile-web-app-title" content="{$web_app_title}">
    <meta property="og:image" content="{$template_url}/img/facebook-screenshot.jpg">
EOF;

	include_once ABSPATH . 'wp-admin/includes/plugin.php';
	if ( ! is_plugin_active( 'wordpress-seo/wp-seo.php' ) ) {
		$template_url = esc_url( get_bloginfo( 'template_url' ) );

		echo // WPCS: XSS OK.
		<<<EOF
        <meta name="description" content="">
        <!-- Facebook Open Graph
        <meta property="fb:app_id" content="">
        <meta property="og:type" content="">
        <meta property="og:url" content="">
        <meta property="og:title" content="">
        <meta property="og:image" content="">
        <meta property="og:description" content="">
    -->
EOF;
	}

	echo // WPCS: XSS OK.
	<<<EOF
    <meta name="author" content="">
    <!-- Twitter Card? -->
    <!-- Add schema.org as appropriate -->

    <!-- Favourite Icon (favicon 64px x 64px)
        For a top level domain we can just put favicon.ico in the document
        root but if it is not a top level domain then we must uncomment the
        line below:
            <link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/img/favicon.ico" />
    -->
    <!-- iPhone, iOS 6 -->
    <link rel="apple-touch-icon" sizes="57x57" href="{$fav_icon( '57', 'apple-touch-icon' )}">
    <!-- iPhone ,iOS 6, retina -->
    <link rel="apple-touch-icon" sizes="114x114" href="{$fav_icon( '114', 'apple-touch-icon' )}">
    <!-- iPad, iOS 6 -->
    <link rel="apple-touch-icon" sizes="72x72" href="{$fav_icon( '72', 'apple-touch-icon' )}">
    <!-- iPad, iOS 6, retina -->
    <link rel="apple-touch-icon" sizes="144x144" href="{$fav_icon( '144', 'apple-touch-icon' )}">
    <!-- iPhone, iOS 7 -->
    <link rel="apple-touch-icon" sizes="60x60" href="{$fav_icon( '60', 'apple-touch-icon' )}">
    <!-- iPhone, iOS 7, retina -->
    <link rel="apple-touch-icon" sizes="120x120" href="{$fav_icon( '120', 'apple-touch-icon' )}">
    <!-- iPad, iOS 7 -->
    <link rel="apple-touch-icon" sizes="76x76" href="{$fav_icon( '76', 'apple-touch-icon' )}">
    <!-- iPad, iOS 7, retina -->
    <link rel="apple-touch-icon" sizes="152x152" href="{$fav_icon( '152', 'apple-touch-icon' )}">
    <!-- iPhone 6 plus, iOS 8, retina x3 -->
    <link rel="apple-touch-icon" sizes="180x180" href="{$fav_icon( '180', 'apple-touch-icon' )}">
    <!-- Android -->
    <link rel="icon" type="image/png" href="{$fav_icon( '192', 'favicon' )}" sizes="192x192">
    <link rel="icon" type="image/png" href="{$fav_icon( '160', 'favicon' )}" sizes="160x160">
    <link rel="icon" type="image/png" href="{$fav_icon( '96', 'favicon' )}" sizes="96x96">
    <link rel="icon" type="image/png" href="{$fav_icon( '16', 'favicon' )}" sizes="16x16">
    <link rel="icon" type="image/png" href="{$fav_icon( '32', 'favicon' )}" sizes="32x32">
    <!-- Microsoft -->
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/mstile-144x144.png">
    <!-- Microsoft Live Tile for web app -->
    <meta name="application-name" content="BrewPixel">
    <!--<link rel="copyright" href="">-->
    <!--[if IE]>
    <script>document.createElement('main');</script>
    <![endif]-->
EOF;
	if ( wp_script_is( 'theme_typekit', 'done' ) ) { ?>
		<script type="text/javascript">try {
				Typekit.load();
			} catch (e) {
			}</script>
	<?php }
}

add_action( 'wp_head', 'meta_head' );

/*
 * -----------------------------------------------------------------------------
 *  ####CORE HOOKS TITLE wp_title
 * -----------------------------------------------------------------------------
 */

/**
 * // Uncomment and add our own code for how we want to alter the title element
 * // in the head of the page.
 * Create a nicely formatted and more specific title element text for output
 * in head of document, based on current view.
 *
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 *
 * @param string $title Default title text for current view.
 * @param string $sep Optional separator.
 *
 * @return string The filtered title.
 * function theme_prefix_lowercase_underscore_no_spaces_wp_title( $title, $sep ) {
 * global $paged, $page;
 *
 * if ( is_feed() ) {
 * return $title;
 * }
 *
 * // Add the site name.
 * $title .= get_bloginfo( 'name', 'display' );
 *
 * // Add the site description for the home/front page.
 * $site_description = get_bloginfo( 'description', 'display' );
 * if ( $site_description && ( is_home() || is_front_page() ) ) {
 * $title = "$title $sep $site_description";
 * }
 *
 * // Add a page number if necessary.
 * if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
 * $title = "$title $sep " . sprintf( __( 'Page %s', 'brew-wp-framework' ),
 * max( $paged, $page ) );
 * }
 *
 * return $title;
 * }
 * add_filter( 'wp_title', 'theme_prefix_lowercase_underscore_no_spaces_wp_title', 10, 2 );
 */

/*
 * -----------------------------------------------------------------------------
 *  ###CORE HOOKS BODY
 * -----------------------------------------------------------------------------
 */

add_filter( 'body_class', 'theme_prefix_lowercase_underscore_no_spaces_secondary_nav_class' );
/**
 * Add secondary-nav class if secondary navigation is used.
 *
 * @param array $classes Existing classes.
 *
 * @return array
 */
function theme_prefix_lowercase_underscore_no_spaces_secondary_nav_class( $classes ) {
	$mods = get_theme_mods();
	$menu_locations = $mods['nav_menu_locations'];

	if ( ! empty( $menu_locations['secondary'] ) ) {
		$classes[] = 'secondary-nav';
	}
	$classes[] = 'no-js';

	return $classes;

}

// Add body class if header text option unchecked.
add_filter( 'body_class', 'theme_prefix_lowercase_underscore_no_spaces_header_text_class' );
/**
 * Change the body classes.
 *
 * @param array $classes The classes added to the body element.
 *
 * @return array
 */
function theme_prefix_lowercase_underscore_no_spaces_header_text_class( $classes ) {

	if ( 'blank' === get_header_textcolor() ) {
		$classes[] = 'no-header-text';
	}

	return $classes;

}

/*
 * Uncomment if you need to add to the BODY CLASSES and alter logic and class
 * names as required:
 */

/**
 * Extend the default WordPress body classes.
 *
 * Adds body classes to denote:
 * 1. Single or multiple authors.
 * 2. Presence of header image.
 * 3. Index views.
 * 4. Full-width content layout.
 * 5. Presence of footer widgets.
 * 6. Single views.
 * 7. Featured content layout.
 *
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 *
 * @param array $classes A list of existing body class values.
 *
 * @return array The filtered body class list.
 * function theme_prefix_lowercase_underscore_no_spaces_body_classes( $classes ) {
 *     if ( is_multi_author() ) {
 *         $classes[] = 'group-blog';
 *     }
 *
 *     if ( get_header_image() ) {
 *         $classes[] = 'header-image';
 *     } else {
 *         $classes[] = 'masthead-fixed';
 *     }
 *
 *     if ( is_archive() || is_search() || is_home() ) {
 *         $classes[] = 'list-view';
 *     }
 *
 *     if ( ( ! is_active_sidebar( 'sidebar-2' ) )
 *          || is_page_template( 'page-templates/full-width.php' )
 *          || is_page_template( 'page-templates/contributors.php' )
 *          || is_attachment() ) {
 *         $classes[] = 'full-width';
 *     }
 *
 *     if ( is_active_sidebar( 'sidebar-3' ) ) {
 *         $classes[] = 'footer-widgets';
 *     }
 *
 *     if ( is_singular() && ! is_front_page() ) {
 *         $classes[] = 'singular';
 *     }
 *
 *     if ( is_front_page() && 'slider' == get_theme_mod(
 * 'featured_content_layout' ) ) {
 *         $classes[] = 'slider';
 *     } elseif ( is_front_page() ) {
 *         $classes[] = 'grid';
 *     }
 *
 *     return $classes;
 * }
 * add_filter( 'body_class', 'theme_prefix_lowercase_underscore_no_spaces_body_classes' );
 */

/*
 * -----------------------------------------------------------------------------
 *  ###CORE HOOKS FOOTER
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 *  ###CORE HOOKS ENQUEUE SCRIPTS wp_enqueue_scripts
 * -----------------------------------------------------------------------------
 */

add_action( 'wp_enqueue_scripts', 'theme_prefix_lowercase_underscore_no_spaces_scripts_styles' );
/**
 * Enqueue scripts and styles for the front end.
 * // This can include fonts and IE conditionals. Also keyboard navigation.
 *
 * @since ${child-theme-version-number:-0.1.0} ${Theme Name}
 */
function theme_prefix_lowercase_underscore_no_spaces_scripts_styles() {

	/* STYLES */

	// If we are a version of Internet Explorer less than version 9 then...
	// We also get served a basic stylesheet to override the default one.
	wp_enqueue_style(
		'brew-wp-framework-ie8',
		get_template_directory_uri() . '/css/style-plain.css',
		'',
		CHILD_THEME_VERSION,
		'all'
	);
	wp_style_add_data( 'brew-wp-framework-ie8', 'conditional', 'lt IE 9' );

	wp_enqueue_style( 'dashicons' );

	/* SCRIPTS */

	/*
	 * @TODO: Do we want to disable or enable superfish?
	 *
	 * // Disable the superfish script.
	 * wp_deregister_script( 'superfish' );
	 * wp_deregister_script( 'superfish-args' );
	 *
	 * // Enable the superfish script.
     * add_filter( 'genesis_superfish_enabled', '__return_true' );
	 */

	/*
	 * if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	 * 	wp_enqueue_script( 'comment-reply' );
	 * }

	 * if ( is_singular() && wp_attachment_is_image() ) {
	 * 	wp_enqueue_script( 'brew-wp-framework-keyboard-image-navigation', get_template_directory_uri() .
	 * '/js/keyboard-image-navigation.js', array( 'jquery' ), '20130402' );
	 * }

	 * if ( is_active_sidebar( 'sidebar-3' ) ) {
	 * 	wp_enqueue_script( 'jquery-masonry' );
	 * }

	 * if ( is_front_page() && 'slider' == get_theme_mod( 'featured_content_layout' ) ) {
	 * 	wp_enqueue_script( 'brew-wp-framework-slider', get_template_directory_uri() . '/js/slider.js', array( 'jquery' ),
	 * '20131205', true );
	 * 	wp_localize_script( 'brew-wp-framework-slider',
	 * 'featuredSliderDefaults', array(
	 * 		'prevText' => __( 'Previous', 'brew-wp-framework' ),
	 * 		'nextText' => __( 'Next', 'brew-wp-framework' )
	 * 	) );
	 * }
 	 */

	wp_register_script(
		'fitvids',
		get_stylesheet_directory_uri() . '/js/jquery.fitvids.js',
		array( 'jquery' ),
		'1.1',
		true
	);

	wp_enqueue_script(
		'bootstrap',
		get_stylesheet_directory_uri() . '/js/jquery.bootstrap.js',
		array( 'jquery' ),
		CHILD_THEME_VERSION,
		true
	);

	wp_register_script(
		'${theme-name-lowercase-hyphen-no-spaces}-global',
		get_stylesheet_directory_uri() . '/js/global.js',
		array( 'jquery', 'fitvids', 'bootstrap' ),
		CHILD_THEME_VERSION,
		true
	);
	$globaljs_array = array( 'get_stylesheet_directory_uri' => get_stylesheet_directory_uri() );
	wp_localize_script( '${theme-name-lowercase-hyphen-no-spaces}-global', 'themejs', $globaljs_array );

	wp_register_script(
		'icomoon',
		get_stylesheet_directory_uri() . '/js/svgxuse.min.js',
		array(),
		CHILD_THEME_VERSION,
		true
	);

	wp_enqueue_script( 'jquery' );
	wp_enqueue_script( 'fitvids' );
	wp_enqueue_script( '${theme-name-lowercase-hyphen-no-spaces}-global' );
	wp_enqueue_script( 'icomoon' );

	if ( is_page_template( 'page_contact.php' ) ) {

	}
	/*
	 * wp_enqueue_script( 'brew-wp-framework-script',
	 * 	get_stylesheet_directory_uri() . '/js/script.js',
	 * 	array( 'jquery' ),
	 * 	CHILD_THEME_VERSION,
	 * 	true
	 * );
	 */

	/*
	wp_enqueue_style(
		'google-fonts',
		'https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,200,300,600,700',
		array(),
		CHILD_THEME_VERSION
	);

	wp_enqueue_script(
		'${theme-name-lowercase-hyphen-no-spaces}-global',
		get_stylesheet_directory_uri() . '/js/global.js',
		array( 'jquery' ),
		CHILD_THEME_VERSION,
		true
	);


	wp_enqueue_style(
		'${theme-name-lowercase-hyphen-no-spaces}-google-fonts',
		'//fonts.googleapis.com/css?family=Ek+Mukta:200,800',
		array(),
		CHILD_THEME_VERSION
	);
	 */
}

/**
 * Remove Genesis child theme style sheet
 * @uses  genesis_meta  <genesis/lib/css/load-styles.php>
 */
remove_action( 'genesis_meta', 'genesis_load_stylesheet' );

/**
 * Enqueue Genesis child theme style sheet after most other stylesheets
 * @uses wp_enqueue_scripts <http://codex.wordpress.org/Function_Reference/wp_enqueue_style>
 */
add_action( 'wp_enqueue_scripts', 'genesis_enqueue_main_stylesheet', 15 );

/*
wp_enqueue_style supports dependencies. So, if you make the WooCommerce style a dependency for your new stylesheet then your stylesheet will always load after the WooCommerce stylesheet.

Something like this ought to work, but it is untested:

function enqueue_style_after_wc(){
    $deps = class_exists( 'WooCommerce' ) ? array( 'woocommerce-layout', 'woocommerce-smallscreen', 'woocommerce-general' ) : array();
    wp_enqueue_style( 'my-style', 'my-style.css', $deps, '1.0' );
}
*/

/*
 * -----------------------------------------------------------------------------
 *  ###CORE HOOKS ADMIN admin_init, admin_enqueue_scripts
 * -----------------------------------------------------------------------------
 */

// add_action( 'admin_init', 'theme_prefix_lowercase_underscore_no_spaces_add_editor_style' );
/**
 * Styles the visual editor to resemble the theme style with admin editor CSS.
 *
 * <code>
 * function my_theme_add_editor_styles() {
 * add_editor_style( array( 'css/editor-style.css', theme_prefix_lowercase_underscore_no_spaces_font_url() ) );
 * }
 * add_action( 'admin_init', 'my_theme_add_editor_styles' );
 * </code>
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_add_editor_style() {
	add_editor_style( 'css/editor-style.css' );
}
 */

// @TODO: Do we need any css files loaded in the admin?
// Optional: =MG
// Load Admin Stylesheet.
/* add_action( 'admin_enqueue_scripts', 'theme_prefix_lowercase_underscore_no_spaces_load_admin_styles' ); */
/**
 * Load styles in the admin only.
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_load_admin_styles() {
	wp_register_style( 'admin-google-font', 'fonts.googleapis.com/css?family=Source+Sans+Pro:400,200,300,600,700', false, 'all' );
	wp_enqueue_style( 'admin-google-font' );
	wp_register_style( 'custom_wp_admin_css', get_stylesheet_directory_uri() . '/css/admin-style.css', false, 'all' );
	wp_enqueue_style( 'custom_wp_admin_css' );
}
*/

/*
 * -----------------------------------------------------------------------------
 *  ####CORE HOOKS WIDGETS widgets_init, widget_title
 * -----------------------------------------------------------------------------
 */

// @TODO: Do we need to register any new widget areas(sidebars)?
//add_action( 'widgets_init', 'theme_prefix_lowercase_underscore_no_spaces_widgets_init' );
/**
 * Register sidebar area and widget.
 */
function theme_prefix_lowercase_underscore_no_spaces_widgets_init() {
	register_sidebar( array(
		'name'          => 'Header Contact CTA',
		'id'            => 'theme_prefix_lowercase_underscore_no_spaces_header_cta',
		'before_widget' => '<div class="bp-before-widget">',
		'after_widget'  => '</div>',
		'before_title'  => '',
		'after_title'   => '',
	) );
}

add_filter( 'widget_title', 'theme_prefix_lowercase_underscore_no_spaces_remove_widget_title' );
/**
 * Return the widget title only if the first character is not "!"
 *
 * @param  string $widget_title The widget title.
 *
 * @return string|void
 */
function theme_prefix_lowercase_underscore_no_spaces_remove_widget_title( $widget_title ) {
	if ( 0 === strpos( $widget_title, '!' ) ) {
		return;
	}
	// or
	if ( substr( $widget_title, 0, 1 ) === '!' ) {
		return;
	}

	return $widget_title;
}


/*
 * -----------------------------------------------------------------------------
 *  ###CORE HOOKS INIT
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 *  ####CORE HOOKS INIT REGISTER POST TYPE
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
 *  ####CORE HOOKS INIT REGISTER TAXONOMY
 * -----------------------------------------------------------------------------
 */


/*
 * -----------------------------------------------------------------------------
    ####CORE HOOKS SETTINGS
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
    ###CORE HOOKS AFTER SETUP THEME
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
    ###CORE HOOKS EXCERPT MORE
 * -----------------------------------------------------------------------------
 */

// @TODO: Check if page scroll happens and this is needed.
//add_filter( 'the_content_more_link', 'theme_prefix_lowercase_underscore_no_spaces_remove_more_link_scroll' );
/**
 * Prevent Page Scroll When Clicking the More Link.
 *
 * @param string $link Read more link.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_remove_more_link_scroll( $link ) {

	$link = preg_replace( '|#more-\d+|', '', $link );

	return $link;

}
*/

/**
 * Change the length & message...
 *
 * @param string $more The current read more string.
 *
 * @return string
 */
function theme_prefix_lowercase_underscore_no_spaces_new_excerpt_more( $more ) {
	global $post;

	return '<p><a href="' . get_permalink( $post->ID ) . '">' . $more . '</a></p>';
}

/**
 * Custom set length of excerpt and read more text.
 *
 * @param int $length The maximum amount of characters the excerpt should be.
 * @param string $more The read more text.
 * @param bool $always_show_more Whether or not to always show the read more text.
 * @param null|void|string $excerpt
 * @param string $before
 * @param string $after
 * @param null $permalink_classes
 *
 * @return mixed|null|string
 */
function theme_prefix_lowercase_underscore_no_spaces_custom_length_excerpt(
	$length = 140, $more = 'Read more', $always_show_more = true, $excerpt = null, $before = '<p>', $after = '</p>',
	$permalink_classes = null
) {
	global $post;
	if ( $excerpt ) {
		$excerpt         = preg_replace( ' (\[.*?\])', '', $excerpt );
		$excerpt         = strip_shortcodes( $excerpt );
		$excerpt         = strip_tags( $excerpt );
		$excerpt_changed = substr( $excerpt, 0, $length );
		$excerpt_changed = substr(
			$excerpt_changed,
			0,
			strripos( $excerpt_changed, ' ' )
		);
		$excerpt_changed = trim( preg_replace( '/\s+/', ' ', $excerpt_changed ) );
		( strlen( $excerpt ) > $length ) ? $excerpt = $excerpt_changed . '&hellip;' : $excerpt = $excerpt;
		remove_filter( 'the_content', 'wpautop' );
		$excerpt = apply_filters( 'the_content', $excerpt );
		$excerpt = str_replace( ']]>', ']]&gt;', $excerpt );
		if ( strlen( $excerpt ) > $length || $always_show_more ) {
			return '<p>' . $excerpt . '</p>' . $before . '<a href="' . get_permalink( $post->ID ) . '" class="' . $permalink_classes . '">' . $more . '</a>' . $after;
		}

		return $excerpt . $before . '<a href="' . get_permalink( $post->ID ) . '" class="' . $permalink_classes . '">' . $more . '</a>' . $after;
	}

	if ( $post->post_excerpt === '' ) {
		$excerpt         = get_the_content();
		$excerpt         = preg_replace( ' (\[.*?\])', '', $excerpt );
		$excerpt         = strip_shortcodes( $excerpt );
		$excerpt         = strip_tags( $excerpt );
		$excerpt_changed = substr( $excerpt, 0, $length );
		$excerpt_changed = substr(
			$excerpt_changed,
			0,
			strripos( $excerpt_changed, ' ' )
		);
		$excerpt_changed = trim( preg_replace( '/\s+/', ' ', $excerpt_changed ) );
		( strlen( $excerpt ) > $length ) ? $excerpt = $excerpt_changed . '&hellip;' : $excerpt = $excerpt;
		remove_filter( 'the_content', 'wpautop' );
		$excerpt = apply_filters( 'the_content', $excerpt );
		$excerpt = str_replace( ']]>', ']]&gt;', $excerpt );
		if ( strlen( $excerpt ) > $length || $always_show_more ) {
			return '<p>' . $excerpt . '</p>' . $before . '<a href="' . get_permalink( $post->ID ) . '" class="' . $permalink_classes . '">' . $more . '</a>' . $after;
		}
	} else {
		$excerpt = apply_filters( 'the_excerpt', get_the_excerpt() );

		return $excerpt . $before . '<a href="' . get_permalink( $post->ID ) . '" class="' . $permalink_classes . '">' . $more . '</a>' . $after;
	}

	return $excerpt;
}

/*
 * -----------------------------------------------------------------------------
    ###CORE HOOKS COMMENTS
 * -----------------------------------------------------------------------------
 */

// Customize the comment respond title.
/*
add_filter( 'comment_form_defaults', 'theme_prefix_lowercase_underscore_no_spaces_comment_respond_title' );
function theme_prefix_lowercase_underscore_no_spaces_comment_respond_title( $defaults ) {
	$defaults['title_reply'] = __( 'Thoughts', '${theme-name-lowercase-hyphen-no-spaces}' );
	return $defaults;
}
*/

// Customize the submit button text in comments.
/*
add_filter( 'comment_form_defaults', 'theme_prefix_lowercase_underscore_no_spaces_comment_submit_button' );
function theme_prefix_lowercase_underscore_no_spaces_comment_submit_button( $defaults ) {
	$defaults['label_submit'] = __( 'Submit Comment', 'bg' );
	return $defaults;

}
*/

add_filter( 'comment_form_defaults', 'theme_prefix_lowercase_underscore_no_spaces_remove_comment_form_allowed_tags' );
/**
 * Remove comment form allowed tags.
 *
 * @param array $defaults The array of comment areas which can be filtered.
 *
 * @return mixed
 */
function theme_prefix_lowercase_underscore_no_spaces_remove_comment_form_allowed_tags( $defaults ) {

	$defaults['comment_field']       = '<p class="comment-form-comment"><label for="comment">'
	                                   . _x( 'Comment', 'noun', '${theme-name-lowercase-hyphen-no-spaces}' ) . '</label> <textarea id="comment" name="comment" cols="45" rows="8"
        aria-required="true"></textarea></p>';
	$defaults['comment_notes_after'] = '';

	return $defaults;

}

add_filter(
	'comment_form_defaults',
	'theme_prefix_lowercase_underscore_no_spaces_author_remove_comment_form_allowed_tags'
);
/**
 * Remove comment form allowed tags.
 *
 * @param array $defaults The default allowed HTML tags.
 *
 * @return mixed
 */
function theme_prefix_lowercase_underscore_no_spaces_author_remove_comment_form_allowed_tags( $defaults ) {

	$defaults['comment_field']       = '<p class="comment-form-comment"><label for="comment">' .
	                                   _x(
		                                   'Comment',
		                                   'noun',
		                                   'author'
	                                   ) . '</label> <textarea id="comment" name="comment" cols="45" rows="8"
                                       aria-required="true"></textarea></p>';
	$defaults['comment_notes_after'] = '';

	return $defaults;
}


/*
 * -----------------------------------------------------------------------------
    ###CORE HOOKS USER CONTACT METHODS
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
    ##CORE AJAX
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
    ##CORE SHORTCODES
	@TODO: What shortcodes are needed?
 * -----------------------------------------------------------------------------
 */

//add_shortcode( 'button', 'theme_prefix_lowercase_underscore_no_spaces_button' );
/**
 * Button shortcode.
 *
 * @param array $atts Attributes of shortcode.
 * @param null|string $content The content between the shortcode.
 *
 * @return string
 */
function theme_prefix_lowercase_underscore_no_spaces_button( $atts, $content = null ) {
	$shortcode = shortcode_atts(
		array(
			'class' => 'l-w-l l-w-mx-2 btn-container',
		),
		$atts
	);

	return '<div class="' . $shortcode['class'] . '"><div class="btn btn--1">'
	       . $content . '</div></div>';
}

//add_shortcode( 'note', 'theme_prefix_lowercase_underscore_no_spaces_note' );
/**
 * Note shortcode.
 *
 * @param array $atts Attributes of shortcode.
 * @param null|string $content The content between the shortcode.
 *
 * @return string
 */
function theme_prefix_lowercase_underscore_no_spaces_note( $atts, $content = null ) {
	$shortcode = shortcode_atts(
		array(
			'class' => 'note',
		),
		$atts
	);

	return '<p class="' . $shortcode['class'] . '">' . $content . '</p>';
}


/**
 * -----------------------------------------------------------------------------
 * #PLUGINS
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
    ##PLUGINS GRAVITY FORMS
	@TODO: 1. Are we using gravity forms? 2. Any functions needed?
 * -----------------------------------------------------------------------------
 */

//add_filter( 'gform_currencies', 'update_currency' );
/*
function update_currency( $currencies ) {
	$currencies['GBP'] = array(
		'name'               => __( 'Pound Sterling', 'gravityforms' ),
		'symbol_left'        => '&pound;',
		'symbol_right'       => '',
		'symbol_padding'     => '',
		'thousand_separator' => ',',
		'decimal_separator'  => '.',
		'decimals'           => 2,
	);

	return $currencies;
}

$equipment_list = RGFormsModel::get_form_id( 'Planner' );
add_filter( 'gform_pre_render_' . $equipment_list, 'list_planner' );
add_filter( 'gform_pre_validation_' . $equipment_list, 'list_planner' );
//add_filter( 'gform_pre_submission_filter_' . $equipment_list, 'list_planner' );
add_filter( 'gform_admin_pre_render_' . $equipment_list, 'list_planner' );

*/

/*
 * -----------------------------------------------------------------------------
    ##PLUGINS WOOCOMMERCE
	@TODO: 1. Are we using woocommerce? 2. Any functions needed?
 * -----------------------------------------------------------------------------
 */

/*
 * Remove WooCommerce’s default content wrapper actions, and define your own.
 */
//remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
//remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );

//add_action( 'woocommerce_before_main_content', 'theme_prefix_lowercase_underscore_no_spaces_before_main_content' );
/*
function theme_prefix_lowercase_underscore_no_spaces_before_main_content() {
  echo '<!-- Starting content wrapper for your theme -->';
}
*/

//add_action( 'woocommerce_after_main_content', 'theme_prefix_lowercase_underscore_no_spaces_after_main_content' );
/*
function theme_prefix_lowercase_underscore_no_spaces_after_main_content() {
  echo '<!-- Ending content wrapper for your theme -->';
}
*/

/*
 * -----------------------------------------------------------------------------
    ##PLUGINS JETPACK
	@TODO: 1. Are we using jetpack? 2. Any functions needed?
 * -----------------------------------------------------------------------------
 */

/*
 * -----------------------------------------------------------------------------
    ##PLUGINS WORDPRESS-SEO
	@TODO: 1. Are we using wordpress-seo by yoast? 2. Any functions needed?
 * -----------------------------------------------------------------------------
 */

add_filter( 'wpseo_metabox_prio', 'theme_prefix_lowercase_underscore_no_spaces_filter_yoast_seo_metabox' );
/**
 * Set the priority of the Yoast SEO wordpress-seo plugin metabox.
 *
 * @return string
 */
function theme_prefix_lowercase_underscore_no_spaces_filter_yoast_seo_metabox() {
	return 'low';
}

/*
 * -----------------------------------------------------------------------------
    ##PLUGINS SIMPLE SOCIAL ICONS
	@TODO: 1. Are we using simple social icons? 2. Any functions needed?
 * -----------------------------------------------------------------------------
 */
// Simple Social Icon Defaults.
//add_filter( 'simple_social_default_styles', 'theme_prefix_lowercase_underscore_no_spaces_social_default_styles' );
/**
 * Simple Social Icon Defaults.
 *
 * @param array $defaults Array of defaults.
 *
 * @return array
 */
function theme_prefix_lowercase_underscore_no_spaces_social_default_styles( $defaults ) {

	$args = array(
		'alignment'              => 'aligncenter',
		'background_color'       => '#000000',
		'background_color_hover' => '#222222',
		'border_radius'          => 4,
		'icon_color'             => '#ffffff',
		'icon_color_hover'       => '#ffffff',
		'size'                   => 40,
	);

	$args = wp_parse_args( $args, $defaults );

	return $args;

}

/*
 * ----------------------------------------------------------------------------
 *  #CUSTOM FUNCTIONS
 * ----------------------------------------------------------------------------
 */

/**
 * Is this the blog?
 *
 * @return bool
 */
function theme_prefix_lowercase_underscore_no_spaces_is_blog() {
	global $post;
	$posttype = get_post_type( $post );

	return ( ( 'post' === $posttype ) && ( is_home() || is_single() || is_archive() || is_category() || is_tag() ||
	                                       is_author() ) );
}

// @TODO: Does the active menu item need different classes?
//add_filter( 'nav_menu_css_class', 'theme_prefix_lowercase_underscore_no_spaces_custom_active_item_classes', 10, 2 );
/**
 * Active item classes.
 *
 * @param array $classes Existing classes.
 * @param WP_Post $menu_item Menu item.
 *
 * @return array
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_custom_active_item_classes( $classes = array(), $menu_item = false ) {
	global $post;
	$type      = get_post_type_archive_link( ( isset( $post->post_type ) ? $post->post_type : '' ) );
	$classes[] = ( $menu_item->url === $type ) ? 'current-menu-item active' : '';

	return $classes;
}
*/

// @TODO: Does the blog menu link need fixed?
// add_filter( 'nav_menu_css_class', 'theme_prefix_lowercase_underscore_no_spaces_fix_blog_link_on_cpt', 10, 3 );
/**
 * Fix blog link with custom post types.
 *
 * @param array $classes The existing classes.
 * @param WP_Post $item Menu item.
 *
 * @return mixed
 */
/*
function theme_prefix_lowercase_underscore_no_spaces_fix_blog_link_on_cpt( $classes, $item ) {
	if ( ! theme_prefix_lowercase_underscore_no_spaces_is_blog() ) {
		$blog_page_id = (int) get_option( 'page_for_posts' );
		if ( 0 !== $blog_page_id && $item->object_id === $blog_page_id ) {
			unset( $classes[ array_search( 'current_page_parent', $classes, true ) ] );
		}
	}

	return $classes;
}
*/

/*
 * ------------------------------------------------------------------------*\
 *  ##CUSTOM FUNCTIONS WIDGETS
 * ------------------------------------------------------------------------
 */

/**
 * Setup widget counts to count the author widgets.
 *
 * @param int $id The widget ids.
 *
 * @return int|void
 */
function theme_prefix_lowercase_underscore_no_spaces_count_widgets( $id ) {
	global $sidebars_widgets;

	if ( isset( $sidebars_widgets[ $id ] ) ) {
		return count( $sidebars_widgets[ $id ] );
	}

}

/**
 * Add widget area class.
 *
 * @param int $id The widget id.
 *
 * @return string
 */
function theme_prefix_lowercase_underscore_no_spaces_widget_area_class( $id ) {
	$count = theme_prefix_lowercase_underscore_no_spaces_count_widgets( $id );

	$class = '';

	if ( 1 === $count ) {
		$class .= ' widget-full';
	} elseif ( 0 === $count % 3 ) {
		$class .= ' widget-thirds';
	} elseif ( 0 === $count % 4 ) {
		$class .= ' widget-fourths';
	} elseif ( 1 === $count % 2 ) {
		$class .= ' widget-halves uneven';
	} else {
		$class .= ' widget-halves';
	}

	return $class;

}

// @TODO: Are we including a custom header?
// Let's think about any reasons why we would use this and how.
// Implement Custom Header features.
// require get_stylesheet_directory() . '/inc/custom-header.php';

// @TODO: Are we including a custom logo?
// Implement Custom Logo features.
//require get_stylesheet_directory() . '/inc/custom-logo.php';

// @TODO: Are we including template tags?
// We probably want something included like this but let's determine this.
// Custom template tags for this theme.
//require get_stylesheet_directory() . '/inc/template-tags.php';

// @TODO: Do we need to add any custom pagination or can we use the Genesis pagination?
// Add pagination.
// include get_stylesheet_directory() . '/inc/pagination.php';

/*
 * ---------------------------------------------------------------------------*\
 *  #UPDATE CONTROLS AND NOTICES
 * ---------------------------------------------------------------------------
 */

/*
// @TODO: Investigate these filters. How best to disable update notifications?
add_filter('pre_site_transient_update_core','disable_updates_notification');
add_filter('pre_site_transient_update_plugins','disable_updates_notification');
add_filter('pre_site_transient_update_themes','disable_updates_notification');
function disable_updates_notification() {
    global $wp_version;

    return (object) array( 'last_checked'    => time(),
                           'version_checked' => $wp_version
    );
}
*/

add_action( 'admin_head', 'hide_update_notice_to_all_but_admin_users', 1 );
/**
 * Hide core update notice/nag from within WordPress admin dashboard.
 */
function hide_update_notice_to_all_but_admin_users() {
	if ( ! current_user_can( 'update_core' ) ) {
		remove_action( 'admin_notices', 'update_nag', 3 );
	}
}

// @TODO: Is the admin bar blocking the page? Do we need to make any CSS adjustments?
// @TODO: Remove flags before production.
/*
if( is_user_logged_in() && getenv('BREWPIXEL_ENV_FLAG') === 'goldie' ) {
	add_action( 'wp_head', 'prevent_admin_bar_overlap' );
	function prevent_admin_bar_overlap() {
		?>
        <style>
            .site-container {
                top: 32px;
            }

            .nav-primary {
                top: 64px;
            }

            .content-sidebar .sidebar-primary {
                margin-top: 128px;
            }
        </style>
		<?php
	}
}
*/
