<?php
/**
 * Theme Defaults.
 *
 * @package ${Theme Name}
 */

// ${Theme Name} Theme Setting Defaults.
add_filter( 'genesis_theme_settings_defaults', 'theme_prefix_lowercase_underscore_no_spaces_theme_defaults' );
/**
 * Theme Defaults.
 *
 * @param array $defaults The array of theme defaults.
 *
 * @return mixed
 */
function theme_prefix_lowercase_underscore_no_spaces_theme_defaults( $defaults ) {

	$defaults['blog_cat_num']              = 6;
	$defaults['content_archive']           = 'excerpts';
	$defaults['content_archive_limit']     = 0;
	$defaults['content_archive_thumbnail'] = 1;
	$defaults['image_alignment']           = '';
	$defaults['image_size']                = 'featured-content-lg';
	$defaults['posts_nav']                 = 'numeric';
	$defaults['site_layout']               = 'content-sidebar';

	return $defaults;

}

// ${Theme Name} Theme Setup.
add_action( 'after_switch_theme', 'theme_prefix_lowercase_underscore_no_spaces_theme_setting_defaults' );
/**
 * The array of theme defaults.
 */
function theme_prefix_lowercase_underscore_no_spaces_theme_setting_defaults() {

	if ( function_exists( 'genesis_update_settings' ) ) {

		genesis_update_settings( array(
				'blog_cat_num'              => 6,
				'content_archive'           => 'excerpts',
				'content_archive_limit'     => 0,
				'content_archive_thumbnail' => 1,
				'image_alignment'           => '',
			// OR 'image_alignment'      => 'alignleft',.
				'image_size'                => 'featured-content-lg',
				'posts_nav'                 => 'numeric',
				'site_layout'          => 'content-sidebar',
		) );

	}

	update_option( 'posts_per_page', 6 );

}
