<?php
/**
 * This file adds the sector taxonomy archive for the client post type template to the ${Theme Name} Theme.
 *
 * @author BrewPixel
 * @package ${Theme Name}
 *
 * @todo Move actions next to the functions in order to be able to delete the code which is not used in an easier fashion.
 */

add_action( 'genesis_before_loop', 'theme_prefix_lowercase_underscore_no_spaces_before_loop' );
/**
 * Add an extra div before the loop.
 */
function theme_prefix_lowercase_underscore_no_spaces_before_loop() {
	$term  = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
	echo '<div class="entry">';
	echo '<h1 class="link-style-2 p-b-l">' . esc_html( $term->name ) . '</h1>';
}

remove_action( 'genesis_loop', 'genesis_do_loop' );
add_action( 'genesis_loop', 'theme_prefix_lowercase_underscore_no_spaces_our_clients' );

/**
 * The directors loop.
 */
function theme_prefix_lowercase_underscore_no_spaces_our_clients() {
	echo '<div class="l-row l-cols-2 l-cols-3 l-cols-4 d-1">';
	$clients = [];
	while ( have_posts() ) : the_post();

		$clientname = '<a href="' . get_the_permalink() . '" title="' . sprintf( esc_attr__( 'Permalink to %s', 'brewpress' ), the_title_attribute( 'echo=0' ) ) . '" rel="bookmark">' . get_the_title() . '</a>';
		array_push( $clients, $clientname ); ?>

		<?php
		// @TODO: Decide on if we are using this. if ( get_post_meta( get_the_ID(), 'info_show_logo', true ) ) {
			?>
			<article
				class="post-616 post type-post status-publish format-standard has-post-thumbnail category-category-1 l-cols__col u-center-horizontal p-b-l">
				<?php echo get_the_post_thumbnail( get_the_ID(), 'client',
					array(
						'class' => 'logo d-separator-1',
					)
				); ?>
			</article>
			<?php
			// } // @codingStandardsIgnoreLine

	endwhile; // End of the loop.
	echo '</div>';
	?>
	<article class="l-row p-t-m l-w--r-mq-450-up">
		<div>
			<?php
			$term  = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
			$terms = get_terms( 'sector', array(
				'orderby'    => 'count',
				'hide_empty' => 1,
				'parent'     => (int) $term->term_id,
			) );

			foreach ( $terms as $term ) {

				// Define the query.
				$args  = array(
					'post_type'      => 'bpclient',
					'sector'         => $term->slug,
					'child_of'       => $term->term_id,
					'posts_per_page' => 300,
					'orderby'        => 'title',
					'order'          => 'ASC',
				);
				$query = new WP_Query( $args );

				// Output the term name in a heading tag.
				// echo '<h2 class="m-b-s-0">' . esc_html( $term->name ) . '</h2>';
				// Output the post titles in a list.
				echo '<ul class="l-cols-content-3-mq-768-up p-b-l">';

				// Start the Loop.
				while ( $query->have_posts() ) : $query->the_post(); ?>
					<li>
						<!-- Client Name -->
						<h2 class="m-b-s-0 d-text-size-2 d-text-style-3-all link-style-2">
							<a href="<?php the_permalink() ?>"
							   title="<?php printf( esc_attr__( 'Permalink to %s', 'brewpress' ), the_title_attribute( 'echo=0' ) ) ?>"
							   rel="bookmark"><?php the_title() ?></a>
						</h2>
					</li>

				<?php endwhile;

				echo '</ul>';

				// Use reset postdata to restore original query.
				wp_reset_postdata();
			} // End foreach().

			global $post;

			// Start the Loop.
			$otherposts = [];
			$childterms = [];
			while ( have_posts() ) : the_post();
				$term = get_the_terms( get_the_ID(), 'sector' );

				foreach ( $term as $termname ) {
					if ( $termname->parent || in_array( $post->ID, $childterms, true ) ) {
						$childterms[] = $post->ID;
					} else {
						$otherposts[] = $post;
					}
				}

			endwhile;

			if ( ! empty( $otherposts ) ) {
				$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
				// We probably do not need this here. echo '<h2>' . esc_html( $term->name ) . '</h2>'; !
				echo '<ul class="l-cols-content-3-mq-768-up p-b-l">';

				foreach ( $otherposts as $posts ) {
					if ( ! in_array( $posts->ID, $childterms, true ) ) {
						?>
						<li>
							<!-- Client Name -->
							<h2 class="m-b-s-0 d-text-size-2 d-text-style-3-all link-style-2">
								<a href="<?php echo esc_url( get_permalink( $posts->ID ) ); ?>"
								   title="<?php printf( esc_attr__( 'Permalink to %s', 'brewpress' ), the_title_attribute( array(
									   'echo' => 0,
									   'post' => $posts->ID,
								   ) ) ) ?>"
								   rel="bookmark"><?php echo get_the_title( $posts->ID ) ?></a>
							</h2>
						</li>
						<?php
					}
				}
				echo '</ul>';
			}
			?>
		</div>
	</article>
	<?php
}

add_action( 'genesis_after_loop', 'theme_prefix_lowercase_underscore_no_spaces_after_loop' );
/**
 * Close the before the loop div.
 */
function theme_prefix_lowercase_underscore_no_spaces_after_loop() {
	// After Loop.
	echo '</div>';
	genesis_numeric_posts_nav();
}

genesis();
